--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 2011-11-29 14:08:32 CET
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-03-11 14:25:29 +0100 (So, 11. Mär 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9258 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--

--
-- PostgreSQL database dump
--

-- Started on 2011-11-29 14:08:32 CET


--
-- TOC entry 1830 (class 0 OID 0)
-- Dependencies: 1492
-- Name: reasons_[[LOCALE]]_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mailtrace
--

SELECT pg_catalog.setval('[[TABLEPREFIX]]reasons_[[LOCALE]]_id_seq', 15, true);


--
-- TOC entry 1824 (class 0 OID 10673903)
-- Dependencies: 1491 1826 1827
-- Data for Name: reasons_[[LOCALE]]; Type: TABLE DATA; Schema: public; Owner: mailtrace
--

ALTER TABLE [[TABLEPREFIX]]reasons_[[LOCALE]] DISABLE TRIGGER ALL;

INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (3, 1, 3, 'Empfangsserver nutzt vermutlich Greylisting.', NULL, NULL, '2011-04-12 17:47:15.243116+02', '2011-04-12 17:47:15.243116+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (4, 1, 4, 'Empfangsserver nutzt Greylisting.', NULL, NULL, '2011-04-12 17:51:00.944211+02', '2011-04-12 17:51:00.944211+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (5, 1, 5, 'Empfangsserver ist vermutlich überlastet.', NULL, NULL, '2011-04-12 17:52:29.497155+02', '2011-04-12 17:52:29.497155+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (6, 1, 6, 'Die Verbindung zum Zielsystem bricht zusammen!', NULL, NULL, '2011-04-12 17:54:31.889821+02', '2011-04-12 17:54:31.889821+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (7, 1, 7, 'Empfänger beim Zielsystem unbekannt!', NULL, NULL, '2011-04-12 17:56:27.65087+02', '2011-04-12 17:56:27.65087+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (8, 1, 8, 'Zuviele Empfänger zur gleichen Zeit.', NULL, NULL, '2011-04-12 17:57:33.363707+02', '2011-04-12 17:57:33.363707+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (13, 1, 13, 'Die E-Mail war dem Zielsystem zu groß', 'Die E-Mail konnte nicht versandt werden. Diese Mail war [[MYSIZE]] Bytes groß, das Zielsystem akzeptierte jedoch maximal [[REMOTESIZE]] Bytes. Bedenken Sie, daß Dateien beim Anhängen an E-Mails etwas umgewandelt werden müssen und dann um rund 30% größer ausfallen.', NULL, '2011-04-12 18:06:04.714208+02', '2011-04-12 18:06:04.714208+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (14, 1, 14, 'Der sendende Mailserver steht auf RBL-Sperrliste [[NAMEOFRBL]].', 'Die E-Mail konnte nicht versandt werden. Der sendende Server stand zu diesem Zeitpunkt auf der RBL-Sperrliste [[NAMEOFRBL]].', NULL, '2011-04-12 18:07:27.934184+02', '2011-04-12 18:07:27.934184+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (15, 1, 15, 'Der sendende Mailserver steht auf der Sperrliste von Road Runner Secrity (http://security.rr.com).', NULL, NULL, '2011-04-12 18:08:43.230877+02', '2011-04-12 18:08:43.230877+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (1, 1, 1, 'Der Server [[T:D_RELAYHOST]] hat die Mail unter der ID [[REMOTEQUEUEID]] akzeptiert.', '<h2>Die E-Mail wurde erfolgreich gesendet!</h2>
<p>Die E-Mail wurde an den Server [[T:D_RELAYHOST]] ausgeliefert.
Dieser hat den Empfang sicher und zweifelsfrei bestätigt. Er trägt nun
die alleinige Verantwortung für den weiteren Transport der E-Mail.</p>

<p>
<h3>Was ist, wenn die E-Mail trotzdem nicht angekommen ist?</h3>
Der weitere Verbleib der E-Mail läßt sich nun nur noch auf dem Server
[[T:D_RELAYHOST]] klären. Bitte fragen Sie den dortigen Administrator
nach dem Verbleib der E-Mail. Diese wurde dort unter der ID
[[REMOTEQUEUEID]] gespeichert.</p>
', NULL, '2011-04-12 17:19:32.574751+02', '2011-04-12 17:19:32.574751+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (2, 1, 2, 'DEFAULTDEFAULT. Der Server [[T:D_RELAYHOST]] hat die Mail akzeptiert.', '<h2>Die E-Mail wurde erfolgreich gesendet!</h2>
<p>Die E-Mail wurde an den Server [[T:D_RELAYHOST]] ausgeliefert.
Dieser hat den Empfang sicher und zweifelsfrei bestätigt. Er trägt nun
die alleinige Verantwortung für den weiteren Transport der E-Mail.</p>

<p>
<h3>Was ist, wenn die E-Mail nicht angekommen ist?</h3>
Der weitere Verbleib der E-Mail läßt sich nun nur noch auf dem Server
[[T:D_RELAYHOST]] klären. Bitte fragen Sie den dortigen Administrator
nach dem Verbleib der E-Mail.</p>
', NULL, '2011-04-12 17:44:48.983625+02', '2011-04-12 17:44:48.983625+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (12, 1, 12, 'Die E-Mail wurde ohne Angabe von Gründen abgelehnt.', '<h2>Die E-Mail konnte nicht erfolgreich gesendet werden!</h2>
<p>Die E-Mail konnte nicht versandt werden. Sie wurde vom
empfangenden Server abgelehnt, der Grund ist leider nicht erkennbar.</p>

<p>
<h3>Was können Sie jetzt noch tun?</h3>
Leider wenig. Nur der Administrator des empfangenden Servers
[[T:D_RELAYHOST]] kann anhand seiner Logfiles analysieren, was die
Gründe für die Ablehnung waren.</p>', NULL, '2011-04-12 18:04:41.984818+02', '2011-04-12 18:04:41.984818+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (9, 1, 9, 'Das Postfach des Empfängers ist voll (Quota überschritten).', '<h2>Die E-Mail konnte nicht erfolgreich gesendet werden!</h2>
<p>Die E-Mail konnte nicht versandt werden. Der empfangende
Mailserver [[T:D_RELAYHOST]] hat die Annahme der E-Mail verweigert: Das
Zielpostfach [[REMOTEUSER]] ist derzeit überfüllt (""quota exceeded"").
</p>

<p>
<h3>Was können Sie jetzt noch tun?</h3>
Leider wenig. Kennen Sie eine alternative Mailadresse des Empfängers
oder können Sie ihn auch telefonisch erreichen? Versuchen Sie ggf.
später noch einmal ihr Glück.</p>', NULL, '2011-04-12 17:59:04.814392+02', '2011-04-12 17:59:04.814392+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (11, 1, 11, 'Empfangssystem hat die E-Mail als Spam bewertet und darum abgelehnt.', '<h2>Die E-Mail konnte nicht erfolgreich gesendet werden!</h2>
<p>Die E-Mail konnte nicht versandt werden. Sie wurde vom
empfangenden Server als Spam bewertet und darum abgelehnt. Auf dem
Server [[T:D_RELAYHOST]] finden sich unter der ID [[ID]] Details dazu im
Amavis-Logfile.</p>

<p>
<h3>Was können Sie jetzt noch tun?</h3>
TO BE FIXED.</p>
', NULL, '2011-04-12 18:02:09.026259+02', '2011-04-12 18:02:09.026259+02', 'v', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]reasons_[[LOCALE]] (id, role_id, rule_id, short_desc, long_desc, tag_desc, time_created, time_updated, id_t, role_id_t, rule_id_t, inactive_state) VALUES (10, 1, 10, 'Empfänger beim Zielsystem unbekannt.', '<h2>Die E-Mail konnte nicht erfolgreich gesendet werden!</h2>
<p>Die E-Mail konnte nicht versandt werden. Die Mailadresse
[[REMOTEUSER]] existiert nicht. Der empfangende Mailserver
[[T:D_RELAYHOST]] hat die Annahme der E-Mail verweigert.</p>

<p>
<h3>Was können Sie jetzt noch tun?</h3>
Haben Sie einen Tippfehler im Namen der Mailadresse? Haben Sie
vielleicht Punkt, Minus oder Tiefstrich verwechselt? Oder liegt ein
Tippfehler in der Domain vor? Haben Sie vielleicht die Domainendung
(com/net/org/de etc.) verwechselt?</p>

<h3>Aber ich doch nur auf "Antworten" geklickt!</h3>
Auch wenn Sie nur auf die E-Mail geantwortet haben, kann der Empfänger
trotzdem fehlerhaft gewesen sein. Hat der Absender seiner E-Mail
vielleicht selbst schon mit fehlerhaftem Absender losgeschickt?

', NULL, '2011-04-12 18:00:48.434911+02', '2011-04-12 18:00:48.434911+02', 'v', 'v', 'v', 0);


ALTER TABLE [[TABLEPREFIX]]reasons_[[LOCALE]] ENABLE TRIGGER ALL;

-- Completed on 2011-11-29 14:08:35 CET

--
-- PostgreSQL database dump complete
--
