<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 08.04.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hmt/Reason/Rule.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.9
 */
class Hmt_Reason_Edit_Rule extends Hmt_Reason_Rule {

	public function setFromtable($value) {
		$this->fromtable = $value;
	}
	
	public function setID($value) {
		$id = explode(self::ID_SEP, $value);
		if (count($id) != 2) {
			throw new InvalidArgumentException("'$value' not in a format of '<id-seq-nr>-<id_t>'", -1);
		}
		$this->setIdS($id[0]);
		$this->setIdT($id[1]);
	}

	public function setIdS($value) {
		$this->id = intval($value);
	}

	public function setIdT($value) {
		$this->id_t = $value;
	}

	public function setName($value) {
		$this->rule_name = $value;
	}

	public function setDescription($value) {
		$this->description = $value;
	}
	
	public function setDeactivated($value = true) {
		$this->inactive_state = $value ? 1 : 0;
	}
}