/**
 * 
 */


function getIsoDate(t) {

	if (t == null || typeof t != 'object')
		return null;
	return t.getFullYear() + '-' + padInteger((t.getMonth() + 1), 2) + '-'
	    + padInteger(t.getDate(), 2) + ' ' + padInteger(t.getHours(), 2) + ':'
	    + padInteger(t.getMinutes(), 2) + ':' + padInteger(t.getSeconds(), 2)
	    // + '.'+ padInteger(t.getMilliseconds(), 3)
	    ;
}

function SearchController(config) {
	this.form = config.searchFormID;
	this.searchControllerZF = config.searchControllerZF;
/*	
	$('#v_date_from').datetimepicker(
	    { // minDate : -20,
	      // maxDate : +1,
	      showOn : "button",
	      buttonImage : themeUrl + "/img/calendar.png",
	      buttonImageOnly : true,
	      duration : '',
	      constrainInput : false,
	      stepMinutes : 1,
	      stepHours : 1,
	      showSecond : true,
	      timeFormat : 'hh:mm:ss',
	      hourText : 'Stunde',
	      minuteText : 'Minute',
	      secondText : 'Sekunde',
	      timeText : 'Uhrzeit',
	      dateFormat : "yy-mm-dd",
	      firstDay : 1,
	      changeMonth : true,
	      changeYear : true,
	      currentText : 'jetzt',
	      gotoCurrent : true,
	      closeText : 'OK',
	      monthNames : [
	          'Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September',
	          'Oktober', 'November', 'Dezember'
	      ],
	      monthNamesShort : [
	          'Jan', 'Feb', 'Mar', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'
	      ],
	      dayNamesMin : [
	          'So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'
	      ],
	      showButtonPanel: true,
	      beforeShow: function(input) {
	    	  setTimeout(function(){
	    		 var buttonPane = $(input).datepicker('widget').find('ui-datepicker-buttonpane');
	    		 var btn = $('<button class="ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all" type="button">Clear</button>');
	    		 btn.unbind('click').bind('click', function() {
	    			 $.datepicker._clearDate(input);
	    		 });
	    		 btn.appendTo(buttonPane);
	    	  }, 1);
	      }
	    });
	$('#v_date_to').datetimepicker(
	    {
	      // minDate : -20,
	      // maxDate : +1,
	      showOn : "button",
	      buttonImage : themeUrl + "/img/calendar.png",
	      buttonImageOnly : true,
	      duration : '',
	      constrainInput : false,
	      stepMinutes : 1,
	      stepHours : 1,
	      showSecond : true,
	      timeFormat : 'hh:mm:ss',
	      hourText : 'Stunde',
	      minuteText : 'Minute',
	      secondText : 'Sekunde',
	      timeText : 'Uhrzeit',
	      dateFormat : "yy-mm-dd",
	      firstDay : 1,
	      changeMonth : true,
	      changeYear : true,
	      currentText : 'jetzt',
	      gotoCurrent : true,
	      closeText : 'OK',
	      monthNames : [
	          'Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September',
	          'Oktober', 'November', 'Dezember'
	      ],
	      monthNamesShort : [
	          'Jan', 'Feb', 'Mar', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'
	      ],
	      dayNamesMin : [
	          'So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'
	      ]
	    });
	*/
	// Hide (Collapse) the toggle containers on load
//	$(".toggleresultcontent").width($(".toggleresultcontent").outerWidth());
	$(".toggleresultcontent").hide();

	// Remove noscript (with JS so JS ist available)
	$(".togglelink").removeClass("noscript");

	// Hide (Collapse) the toggle containers on load
//	$(".togglecontent").width($(".togglecontent").outerWidth());
	if ($("#mtSearchExtendState").val() == '1') {
		$(".togglecontent").show();
		$(".togglelink").addClass("opened");
	} else {
		$(".togglecontent").hide();
		$(".togglelink").addClass("closed");
	}

	// Slide up and down on click
	$(".togglelink").click(function() {
		if ($("#mtSearchExtendState").val() == '1') {
			$("#mtSearchExtendState").val('0');
			$(".togglelink").removeClass("opened").addClass("closed");
		} else {
			$("#mtSearchExtendState").val('1');
			$(".togglelink").removeClass("closed").addClass("opened");
		}
		$(this).next(".togglecontent").slideToggle('slow');
	});
	
	$('#quickdate').change(function(){
		// now = new Date();
		// $('#v_date_to').val(getIsoDate(now));
		switch ($(this).val()) {
			case '0': 
				$('#v_date_from_dummy').val('00:00:00');
				$('#v_date_to_dummy').val('23:59:59');
				break;
			case '1': 
				$('#v_date_from_dummy').val('00:00:00');
				$('#v_date_to_dummy').val('23:59:59');
				break;
			case '2': // night
				$('#v_date_from_dummy').val('00:00:00');
				$('#v_date_to_dummy').val('08:00:00');
				break;	
			case '3': // vormittag
				$('#v_date_from_dummy').val('07:00:00');
				$('#v_date_to_dummy').val('13:00:00');
				break;
				
			case '4': // nachmittag
				$('#v_date_from_dummy').val('12:00:00');
				$('#v_date_to_dummy').val('18:00:00');
				break;
				
			case '5': // abends
				$('#v_date_from_dummy').val('17:00:00');
				$('#v_date_to_dummy').val('23:59:59');
				break;
				
			case '6': // tagsueber
				$('#v_date_from_dummy').val('07:00:00');
				$('#v_date_to_dummy').val('18:00:00');
				break;
		}
	});
};

SearchController.prototype.submit = function() {
	var pageInput = document.getElementsByName('drwPage');
	var form = document.getElementById(this.form);
	var day = $('#quickday').val();
	var to = $('#v_date_to_dummy').val();
	var from = $('#v_date_from_dummy').val();
	if(from == ''){
		from = '00:00:00';
	}
	if (to == ''){
		to = '23:59:59';
	}
	$('#v_date_to').val(day + ' ' + to);
	$('#v_date_from').val(day + ' ' + from);
	// pageInput[0].value = 1;
	form.submit();
};

SearchController.prototype.reset = function() {
	this.form.reset();
};

SearchController.prototype.clearDateField = function(id) {
	var fieldObj = document.getElementById(id);
	fieldObj.value = '';
};

SearchController.prototype.loadPage = function(link) {
	self.location = link;
};

SearchController.prototype.newSearch = function() {
	self.location = baseUrl + '/' + this.searchControllerZF;
};
