<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : Jan 18, 2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.frontend/public/index.php $
 *
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/**
 */

// Define path to application directory
// Pfad zu /opt/heinlein-elements/mailtrace/frontend
defined('APPLIANCE_PART_PATH') || define('APPLIANCE_PART_PATH', realpath(dirname(dirname(__FILE__))));
//Pfad zu /opt/heinlein-elements/mailtrace/
defined('APPLIANCE_PATH') || define('APPLIANCE_PATH', realpath(dirname(APPLIANCE_PART_PATH)));

// Pfad zu /opt/heinlein-elements/mailtrace/frontend/application
defined('APPLICATION_PATH') || define('APPLICATION_PATH', APPLIANCE_PART_PATH . DIRECTORY_SEPARATOR . 'application');
// Pfad zu /opt/heinlein-elements/mailtrace/frontend/configs
defined('APP_CONFIGS_PATH') || define('APP_CONFIGS_PATH', APPLIANCE_PART_PATH . DIRECTORY_SEPARATOR . 'configs');

// at first init library dir for using Zend_Config and Zend_Regristry as soon as possible
// Ensure library/ is on include_path
set_include_path(implode(PATH_SEPARATOR, array (
		realpath(APPLIANCE_PATH . '/libs'),
		realpath(APPLIANCE_PART_PATH.'/libs'),
		get_include_path() )));

require_once 'Zend/Registry.php';
require_once 'Zend/Loader/Autoloader.php';
require_once 'Hpls/Consts.php';

Zend_Loader_Autoloader::getInstance();

// Ensure library/ is on include_path
set_include_path(implode(PATH_SEPARATOR, array (
		//remove after a solution for automatically include from component config is avaiable
		realpath(APPLICATION_PATH . '/modules/mailtrace/models'), 
		get_include_path() )));

/** Zend_Application */
require_once 'Hpls/Application/Mailtrace.php';
require_once 'Hpls/Consts.php';

//require_once 'Zend/Loader/PluginLoader.php';
//$classFileIncCache = APPLIANCE_PART_PATH . '/cache/zend/pluginLoaderCache.php';
//if (file_exists($classFileIncCache)) {
//   include_once $classFileIncCache;
//}
//
//Zend_Loader_PluginLoader::setIncludeFileCache($classFileIncCache);

// Create application, bootstrap, and run
Hpls_Application_Mailtrace::initApplicationObject();
$app = Hpls_Application_Mailtrace::i();

Zend_Registry::set(Hpls_Consts::REGK_APPLICATION, $app);

$app->init();

Zend_Registry::get(Hpls_Consts::REGK_LOGGER)->debug("++++ request url: " . $_SERVER['REQUEST_URI']);

$app->run();
