	<table id="hmtr_regex_table" class="hmtr_overview_table">
		<thead>
		  <tr>
		  	<th></th>
		    <th>{lc}hmtr_rtext_table_col_regex_label{/lc}</th>
		    <th>{lc}hmtr_rtext_table_col_parammap_label{/lc}</th>
		    <th>{lc}hmtr_rtext_table_col_description_label{/lc}</th>
		    <th>{lc}hmtr_rtext_table_col_priority_label{/lc}</th>
		    <th>{lc}hmtr_rtext_table_col_state_label{/lc}</th>
		    <th>{lc}hmtr_rtext_table_col_action_label{/lc}</th>
		  </tr>
	  </thead>
	  <tbody>
	  {foreach $regexs as $regex}
			{$isVendorRegEx = $regex->getFromtable() == 'vendor'}
	  <tr {if $isVendorRegEx && ! hasRole('hplsadmin')}class="noedit"{/if}>
	  <td>
		{if $isVendorRegEx}
	  		<img class="rule_owner" src="{$themeUrl}/img/man1-24.png" title="{lc}hmtr_db_origin_vendor{/lc}"/>
	  	{else}
	  		<img class="rule_owner" src="{$themeUrl}/img/home24.png" title="{lc}hmtr_db_origin_customer{/lc}"/>
	  	{/if}
	  </td>
	    <td>{$regex->getRegEx()|escape}</td>
	    <td>
	    {if count($regex->getParamMapAsArray()) > 0}
	    	<table>
					{foreach $regex->getParamMapAsArray() as $pos => $name}
					<tr>
						<td><strong>{$pos|escape}</strong></td>
						<td>{$name|escape}</td>
	    		<tr>
	    		{/foreach}
	    	</table>
	    {/if}
	    </td>
	    <td>{$regex->getDescription()|escape|nl2br}</td>
	    <td class="center">{$regex->getPriority()|escape}</td>
	    <td class="center">
	    	{if $regex->isDeleted()}
	    		<img src="{$themeUrl}/img/disabled.png" title="{lc}hmtr_state_deleted{/lc}" />
	    	{else}
		    	{if $regex->isDeactivated()}
		    	<img src="{$themeUrl}/img/inactive.png" title="{lc}hmtr_state_paused{/lc}" />
		    	{else}
		    	<img src="{$themeUrl}/img/active.png" title="{lc}hmtr_state_active{/lc}" />
				{/if}
			{/if}
		</td>
	    <td class="hmtr_actions">
	    	<a href="{$baseUrl}/hmtreason/edit/regex/do/edit/ruleid/{$rule->getID()|urlencode}/regexid/{$regex->getID()|urlencode}{$tablelink}"><img src="{$themeUrl}/img/pencil.png" title="{lc}bearbeiten{/lc}" /></a>
	     	{if !$regex->isDeleted()}<a href="javascript:confirmDel('Wirklich löschen?', '{$baseUrl}/hmtreason/edit/regex/do/del/ruleid/{$rule->getID()|urlencode}/regexid/{$regex->getID()|urlencode}{$tablelink}')"><img src="{$themeUrl}/img/delete.png" title="{lc}löschen{/lc}" /></a>{/if}
	     </td>
	  </tr>
	  {/foreach} {* /foreach regex *}
	  </tbody>
	</table>
