{headLink href="$themeUrl/css/mailtrace/reason_edit.css" type="text/css" rel="stylesheet"}{/headLink}
{headScript  type="text/javascript" src="$baseUrl/js/tiny_mce/jquery.tinymce.js"}{/headScript}

{headScript type="text/javascript"}
{literal}
$().ready(function() {
		$('textarea#hmtr_rt_short').tinymce({
			// Location of TinyMCE script
			script_url : '{/literal}{$baseUrl}{literal}/js/tiny_mce/tiny_mce.js',

			// General options
			theme : "advanced",
			plugins : "autolink,lists,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",

			// Theme options
			theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect",
			theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
			theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
			theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
			theme_advanced_resizing : true,

			// Example content CSS (should be your site CSS)
			content_css : "{/literal}{$themeUrl}{literal}/css/base.css",

			// Drop lists for link/image/media/template dialogs
			template_external_list_url : "lists/template_list.js",
			external_link_list_url : "lists/link_list.js",
			external_image_list_url : "lists/image_list.js",
			media_external_list_url : "lists/media_list.js",

			// Replace values for the template plugin
			//template_replace_values : {
//				username : "Some User",
				//staffid : "991234"
			//}
		});
		$('textarea#hmtr_rt_long').tinymce({
			// Location of TinyMCE script
			script_url : '{/literal}{$baseUrl}{literal}/js/tiny_mce/tiny_mce.js',

			// General options
			theme : "advanced",
			plugins : "autolink,lists,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",

			// Theme options
			theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect",
			theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
			theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
			theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
			theme_advanced_resizing : true,

			// Example content CSS (should be your site CSS)
			content_css : "{/literal}{$themeUrl}{literal}/css/base.css",

			// Drop lists for link/image/media/template dialogs
			template_external_list_url : "lists/template_list.js",
			external_link_list_url : "lists/link_list.js",
			external_image_list_url : "lists/image_list.js",
			media_external_list_url : "lists/media_list.js",

			// Replace values for the template plugin
			template_replace_values : {
				username : "Some User",
				staffid : "991234"
			}
		});
	});
{/literal}
{/headScript}

<style>
<!--
table.hmtr th {
	width: 20%
}
table.hmtr td {
	width: 80%
}

table.hmtr textarea {
	width: 100%
}

-->
</style>

{form}
{group title="hmt_reason_edit_text_group"}
<fieldset class="groupset notitle">
<div class="groupset_content">	
{if ! empty($redirectUrl)}
	<input type="hidden" name="backTo" value="{$redirectUrl}"/>
{/if}
<input type="hidden" name="hmtr_isnewentry" value="{if $isNewEntry}1{else}0{/if}"/> 
<input type="hidden" name="hmtr_db" value="{$hmtr_db|escape}"/>

<table id="hmtr_rtext_table_edit" class="hmtr_form">

{if hasRole('hplsadmin')}
  <tr>
  	<th><label>{lc}hmtr_db_target_label{/lc}:</label></th>
    <td>Hersteller<input type="hidden" name="hmtr_db" value="vendor"/></td>
    {* <td><select name="hmtr_db">
{foreach $hmtr_db_options as $k => $v}
	<option value="{$k|escape}" {if $hmtr_db == $k}select="selected"{/if}>{$v|escape}</option>
{/foreach}
</select> 
    </td> *}
  </tr>
  <tr>
  	<th><label>ID:</label></th>
    <td>
		{if !empty($rtext)}
			{$rtext->getID()|escape}
	    <input type="hidden" name="hmtr_rt_id" value="{$rtext->getID()|escape}"/>
    {/if}
    </td>
  </tr>
{/if} {* END hasRole hplsadmin *}

  <tr>
  	<th><label for="hmtr_rt_ruleid">{lc}hmtr_rt_rule_label{/lc}*:</label></th>
    <td>
    <select name="hmtr_rt_ruleid">
    {foreach $rules as $ruleId => $ruleObj}
    <option value="{$ruleObj->getID()|escape}" {if !empty($rtext) && $rtext->getRuleId() == $ruleObj->getID()}selected="selected"{/if}>{$ruleObj->getName()|escape}</option>
    {/foreach}
    </select>
<!--    <input type="text" name="hmtr_rt_ruleid" {if !empty($rtext)}value="{$rtext->getRuleId()|escape}"{/if} /></td>-->
  </tr>
  <tr>
  	<th><label for="hmtr_rt_lang">{lc}language{/lc}*:</label></th>
    <td><select name="hmtr_rt_lang">
    {foreach $languages as $langName => $langId}
    <option value="{$langId|escape}" {if !empty($rtext) && $rtext->getLanguage() == $langId}selected="selected"{/if}>{$langName|escape}</option>
    {/foreach}
    </select>
<!--    <input type="text" name="hmtr_rt_lang" {if !empty($rtext)}value="{$rtext->getLanguage()|escape}"{/if} /></td>-->
  </tr>
  <tr>
  	<th><label for="hmtr_rt_roleid">{lc}hmtr_rt_role_label{/lc}*:</label></th>
    <td><select name="hmtr_rt_roleid">
    {foreach $roles as $roleId => $roleObj}
    <option value="{$roleObj->getID()|escape}" {if !empty($rtext) && $rtext->getRoleId() == $roleObj->getID()}selected="selected"{/if}>{$roleObj->getName()|escape}</option>
    {/foreach}
    </select>
<!--    <input type="text" {if !empty($rtext)}value="{$rtext->getRoleId()|escape}"{/if} /></td>-->
  </tr>
</table>
</div>
</fieldset>

 {/group}
  <div class="separator" style="height: 20px;"></div>

 {formgroup title="hmtr_rtext_table_tag_label" style="div"}
  <div class="separator" style="height: 20px;"></div>
  	<div class="fill_horizontal">
    <input type="text" name="hmtr_rt_tag" {if !empty($rtext)}value="{$rtext->getTextTag()|escape}"{/if} />
    </div>
  {/formgroup}
  
  <div class="separator" style="height: 20px;"></div>
  {formgroup title="hmtr_rtext_table_short_label*" style="div"}
  <div class="separator" style="height: 20px;"></div>
		<div class="fill_horizontal">
    <textarea id="hmtr_rt_short" class="tinymce" name="hmtr_rt_short" rows="3">{if !empty($rtext)}{$rtext->getTextShort()|escape}{/if}</textarea>
    </div>
  {/formgroup}
  <div class="separator" style="height: 20px;"></div>
{formgroup title="hmtr_rtext_table_long_label" style="div"}
  <div class="separator" style="height: 20px;"></div>
    <div class="fill_horizontal">
    <textarea id="hmtr_rt_long" class="tinymce" name="hmtr_rt_long" rows="40">{if !empty($rtext)}{$rtext->getTextLong()|escape}{/if}</textarea>
    </div>
{/formgroup}

{/form}