<style>
<!--
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

.pad20 {
	padding: 20px;
}

#chart1, #chart2, #chart3 {
	width: 800px;
	height: 330px;
}
table#hmt_statistics, td{
	font:100% Arial, Helvetica, sans-serif; 
}
table#hmt_statistics { 
	width:100%;border-collapse:collapse;margin:1em 0; 
}
th, td { 
	text-align:left;padding:.5em;border:1px solid #5B5B5B; 
}
th { 
	background:#f6f6f6; color:#5B5B5B; 
}
td { 
	background:#e5f1f4; 
}

/* tablecloth styles */

tr.even td { 
	background:#e5f1f4; 
}
tr.odd td { 
	background:#f8fbfc; 
}

th.over, tr.even th.over, tr.odd th.over { 
	background:#4a98af; 
}
th.down, tr.even th.down, tr.odd th.down { 
	background:#bce774; 
}
th.selected, tr.even th.selected, tr.odd th.selected { }

td.over, tr.even td.over, tr.odd td.over{ 
	background:#ecfbd4; 
}
td.down, tr.even td.down, tr.odd td.down{ 
	background:#bce774;color:#fff; 
}
td.selected, tr.even td.selected, tr.odd td.selected{ 
	background:#F88218;color:#555; 
}

/* use this if you want to apply different styling to empty table cells */
td.empty, tr.odd td.empty, tr.even td.empty{ 
	background:#fff; 
}
-->
</style>
{group title="hmt_statistics_index_rejects_total"}					
<div class="middle80">
{if !empty($mailstats)}
        Heute
	<div id="chart1">
	  	<svg></svg>
	</div>
	<table id="hmt_statistics">
	<tbody>
		<tr>
			<th>Reject</th>
			<th>Anzahl</th>
		</tr>
	{foreach key=time item=rejects from=$mailstats}
            {if $time == 'today'}
		{foreach key=type item=val from=$rejects}
			<tr>
				<td>{$reject_types[{$type}]}</td>
				<td>{$val}</td>
			</tr>
		{/foreach}
            {/if}
	{/foreach}
	</tbody>
	</table>
        Monat
	<div id="chart2">
	  	<svg></svg>
	</div>
	<table id="hmt_statistics">
	<tbody>
		<tr>
			<th>Reject</th>
			<th>Anzahl</th>
		</tr>
	{foreach key=time item=rejects from=$mailstats}
            {if $time == 'month'}
		{foreach key=type item=val from=$rejects}
			<tr>
				<td>{$reject_types[{$type}]}</td>
				<td>{$val}</td>
			</tr>
		{/foreach}
            {/if}
	{/foreach}
	</tbody>
	</table>
        Jahr
	<div id="chart3">
	  	<svg></svg>
	</div>
	<table id="hmt_statistics">
	<tbody>
		<tr>
			<th>Reject</th>
			<th>Anzahl</th>
		</tr>
	{foreach key=time item=rejects from=$mailstats}
            {if $time == 'year'}
		{foreach key=type item=val from=$rejects}
			<tr>
				<td>{$reject_types[{$type}]}</td>
				<td>{$val}</td>
			</tr>
		{/foreach}
            {/if}
	{/foreach}
	</tbody>
	</table>
	<script>
            var mydata1 = [ 
                { 
                  "key" : "rejects" , 
                  "values" : [{strip}
                            {foreach key=time item=rejects from=$mailstats}
                                {if $time == 'today'}
                                    {foreach key=type item=val from=$rejects}
                                        {if $type != '9'}
                                        {
                                            "label" : "{$reject_types[{$type}]}" ,
                                            "value" : {$val}
                                        },
                                        {/if}
                                    {/foreach}
                                {/if}
                            {/foreach}
                  {/strip}]
                }
            ];
            var mydata2 = [ 
                { 
                  "key" : "rejects" , 
                  "values" : [{strip}
                            {foreach key=time item=rejects from=$mailstats}
                                {if $time == 'month'}
                                    {foreach key=type item=val from=$rejects}
                                        {if $type != '9'}
                                        {
                                            "label" : "{$reject_types[{$type}]}" ,
                                            "value" : {$val}
                                        },
                                        {/if}
                                    {/foreach}
                                {/if}
                            {/foreach}
                  {/strip}]
                }
            ];
            var mydata3 = [ 
                { 
                  "key" : "rejects" , 
                  "values" : [{strip}
                            {foreach key=time item=rejects from=$mailstats}
                                {if $time == 'year'}
                                    {foreach key=type item=val from=$rejects}
                                        {if $type != '9'}
                                        {
                                            "label" : "{$reject_types[{$type}]}" ,
                                            "value" : {$val}
                                        },
                                        {/if}
                                    {/foreach}
                                {/if}
                            {/foreach}
                  {/strip}]
                }
            ];
            $( document ).ready(function(){
		var width = 700;
		var height = 300;
		
		var chart1 = nv.models.discreteBarChart()
                .x(function(d) { return d.label })
                .y(function(d) { return d.value })
                .forceY([0])
                .staggerLabels(true)
                .tooltips(true)
                .showValues(false);
	
	  	d3.select('#chart1 svg').datum(mydata1).transition().duration(500).call(chart1);
		
		chart1.margin( { top:20, right:20, bottom:20, left:70 } );
		
		chart1.width(width);
		chart1.height(height); 
		
	  	nv.utils.windowResize(chart1.update);
	
		chart1.yAxis.tickFormat(d3.format(',.0f'));
		
		chart1.update();
		
	  	return chart1;
            });
            $( document ).ready(function(){
		var width = 700;
		var height = 300;
		
		var chart2 = nv.models.discreteBarChart()
                .x(function(d) { return d.label })
                .y(function(d) { return d.value })
                .forceY([0])
                .staggerLabels(true)
                .tooltips(true)
                .showValues(false);
	
	  	d3.select('#chart2 svg').datum(mydata2).transition().duration(500).call(chart2);
		
		chart2.margin( { top:20, right:20, bottom:20, left:70 } );
		
		chart2.width(width);
		chart2.height(height); 
		
	  	nv.utils.windowResize(chart2.update);
	
		chart2.yAxis.tickFormat(d3.format(',.0f'));
		
		chart2.update();
		
	  	return chart2;
            });
            $( document ).ready(function(){
		var width = 700;
		var height = 300;
		
		var chart3 = nv.models.discreteBarChart()
                .x(function(d) { return d.label })
                .y(function(d) { return d.value })
                .forceY([0])
                .staggerLabels(true)
                .tooltips(true)
                .showValues(false);
	
	  	d3.select('#chart3 svg').datum(mydata3).transition().duration(500).call(chart3);
		
		chart3.margin( { top:20, right:20, bottom:20, left:70 } );
		
		chart3.width(width);
		chart3.height(height); 
		
	  	nv.utils.windowResize(chart3.update);
	
		chart3.yAxis.tickFormat(d3.format(',.0f'));
		
		chart3.update();
		
	  	return chart3;
            });
	</script>
{else}	
	<h3>{lc}hmt_daily_statistics_no_data{/lc}</h3>
{/if}			
</div>
<script type="text/javascript" src="{$baseUrl}/js/tablecloth.js"></script>
{/group}