<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 02.05.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Utils.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.9
 */
abstract class Hmt_Policy_UsingAbstract {
	protected $_policies = array();

	public function addPolicy(Hmt_PolicyAbstract $policy) {
		$this->_policies[$policy->getId()] = $policy;
	}

	public function removePolicy($policy) {
		if ($policy instanceof Hmt_PolicyAbstract) {
			unset($this->_policies[$policy->getId()]);
		} else {
			unset($this->_policies[$policy]);
		}
	}
}