<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 11.11.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Configuration/ConfigurationInterface.php';

interface Hpls_Configuration_Mailtrace_ConfigInterface extends Hpls_Configuration_ConfigurationInterface {
	/**
	 * @return array
	 * @throws Hpls_Exception_Configuration
	 */
	public function readHmtDaemonServiceDefault();
	/**
	 * @return array
	 * @throws Hpls_Exception_Configuration
	 */
	public function readHmtDaemonConfig();
	
	
	/**
	 * Enter description here ...
	 * @param array $values
	 * @throws Hpls_Exception_Configuration
	 */
	public function saveHmtDaemonServiceDefault(array $values);
	
	/**
	 * Enter description here ...
	 * @param array $values
	 * @throws Hpls_Exception_Configuration
	 */
	public function saveHmtDaemonConfig(array $values);
}