<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 21, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Controller/Plugin/Abstract.php $
 *
 */
/**
 *
 */
require_once 'Zend/Controller/Plugin/Abstract.php';
require_once 'Hpls/Consts.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since rc
 */
abstract class Hpls_Controller_Plugin_Abstract extends Zend_Controller_Plugin_Abstract {
	/**
	 * @var Zend_Log
	 */
	private $_logger = NULL;

	function __get($varname) {
		if (strcasecmp('logger', $varname) === 0) {
			return $this->getLogger();
		}
		return NULL;
	}

	/**
	 * @deprecated use log()
	 * 
	 * @return Zend_Log
	 * 
	 * 
	 */
	function getLogger() {
		return $this->log();
	}

	/**
	 * @todo comment
	 * 
	 * @return Zend_Log
	 */
	function log() {
		if ($this->_logger === NULL) {
			$this->_logger = Zend_Registry::get(Hpls_Consts::REGK_LOGGER);
		}
		return $this->_logger;
	}
}