<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 30.12.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
interface Hpls_Err {

	const ERR_NOTSUPPORTED = -100;
	const ERR_INVALID_VALUE = -101;
	const ERR_ARGUMENT_EMPTY = -102;
	const ERR_NO_USER_OBJ = 100;

	const ERR_APPLICATION = 300;
	const ERR_APPLICATION_DATASTORE_ACCESS = 301;
	
	
	/* AUTH common - Code-NS: 10xx */
	const ERR_AUTH_NO_RIGHTS = 1008;
	const ERR_AUTH_NOTSUPPORTED = 1001;
	
	/* AUTH::CONFIGURATION - Code -NS 11xx */
	const ERR_AUTH_NOSOURCES = 1102;
	const ERR_AUTH_NOSOURCETYPE = 1103;
	const ERR_AUTH_NOSERVER = 1104;
	const ERR_AUTH_LOGINMAPPING_NOTCORRECT = 1105;
	const ERR_AUTH_EMAILS_NOSOURCETYPE = 1106;
	const ERR_AUTH_INI_NOFILE = 1107;
	const ERR_AUTH_CONFIGURATION_DN_MISSING = 1101;
	
	/* MAIL common - Code-NS: 20xx */
	
	const ERR_UTILS_MAIL_NOMTA = 2000;
	const ERR_UTILS_MAIL_SEND = 2001;
	const ERR_MAIL_NO_RECIPIENT = 2003;
	const ERR_MAIL_NO_SENDER = 2004;
	
	const ERR_CONFIGURATION = 4000;
	const ERR_CONFIGURATION_DN_MISSING = 4001;
	
	const ERR_REASON_PARAMMAP_SYNTAX_INVALID = 5000;
	const ERR_QUERY_EMAIL = 1;
	
	
}