<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 25, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Exception/Configuration.php $
 *
 */
/***/
require_once 'Hpls/Exception.php';

class Hpls_Exception_Configuration extends Hpls_Exception {
	const ERR_DEFAULT_COMP_MIN = "At least the 'default' HPLS- component should";
	protected $_configpath = null;

	public function __construct($message, $configpath = NULL, $code = -1) {
		parent::__construct($message, $code);
		$this->_configpath = $configpath;
	}

	/**
	 * @return the $_configpath
	 */
	public function getConfigpath() {
		return $this->_configpath;
	}

}