<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Mar 19, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-04-14 18:54:36 +0200 (Mi, 14 Apr 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 5183 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 */
/***/
require_once 'Zend/Log.php';
require_once 'Hpls/Application.php';
require_once 'Hpls/Consts.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package HPLS
 * @subpackage subpackage
 * @version $LastChangedRevision: 5183 $
 * @since 
 *
 */
require_once 'Hpls/Component/Abstract.php';

class Hpls_Mailtrace extends Hpls_Component_Abstract {
	
	protected static $_instance = null;
	
	public static function i() {
		if (is_null(self::$_instance)) {
			self::$_instance = new Hpls_Mailtrace();
		}
		return self::$_instance;
	}
	
	/**
	 * @todo comment
	 * @return array
	 * 
	 * @throws Hpls_Exception_Configuration If the configuration is missing for Mailtrace.
	 */
	public function getConfig(array $keyPath = null) {
		$ret = Hpls_Application::i()->getComponentConfig(MTConsts::COMP_NAME); //throws
		if (!is_null($keyPath) && !is_null($ret)) {
			$ret = Hpls_Utils::getFromDeepArray($ret,$keyPath);
		}
		
		return $ret;
	}
	
	/**
	 * @todo comment
	 * @return Zend_Log
	 */
	public function getLogger() {
		return Zend_Registry::get(Hpls_Consts::REGK_LOGGER);
	}
}