<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 29, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-10-14 12:39:09 +0200 (Do, 14 Okt 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 7268 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace/Model/Entry/DeliverInterface.php $
 *
 */
/**
 *
 */
require_once 'Hpls/Mailtrace/Model/Entry/Interface.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package Mailtrace
 * @subpackage Model
 * @version $LastChangedRevision: 7268 $
 * @since alpha
 *
 */
interface Hpls_Mailtrace_Model_Entry_DeliverInterface extends Hpls_Mailtrace_Model_Entry_Interface {

	const ATTR_D_ID = 'D_ID';
	const ATTR_D_REF_C_ID = 'D_REF_C_ID'; //DBID
	const ATTR_D_MAILTO = 'D_MailTo';
	const ATTR_D_STATUS = 'D_Status';
	const ATTR_D_REASON = 'D_Reason';
	const ATTR_D_RELAYHOST = 'D_Relayhost';
	const ATTR_D_QUEUE_ID = 'D_QueueID';
	const ATTR_D_TIME = 'D_Time';
	
	const ATTR_D_SERVER = 'D_SERVER';
	const ATTR_D_SERVER_ID = 'D_SERVER_ID';

}


