<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : 24.09.2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Navigation/Page/Tab.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Navigation/Page/Controller.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.4
 */
class Hpls_Navigation_Page_Tab extends Hpls_Navigation_Page_Controller {

	/**
	 * Sets page URI
	 *
	 * @param  string $uri                page URI, must a string or null
	 * @return Zend_Navigation_Page_Uri   fluent interface, returns self
	 * @throws Zend_Navigation_Exception  if $uri is invalid
	 */
	public function setUri($uri) {
		if (null !== $uri && !is_string($uri)) {
			require_once 'Zend/Navigation/Exception.php';
			throw new Zend_Navigation_Exception('Invalid argument: $uri must be a string or null');
		}
	$this->setHref($uri);
// 		$this->_uri = $uri;
		
		return $this;
	}

	/**
	 * Returns URI
	 *
	 * @return string
	 */
	public function getUri() {
		return $this->getHref();
	}

	public function setHref($url) {
		$this->_hrefCache = $url;
		return $this;
	}
}