<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 25, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/block.headLink.php $
 *
 */
/**
 *
 */
require_once 'Hpls/Smarty/Smarty.php';
require_once 'Hpls/View/Consts.php';
require_once 'Hpls/Utils.php';
require_once 'Zend/Debug.php';

/**
 * @todo comment
 * @param array $params
 * @param unknown_type $content
 * @param Smarty $smarty
 * @param unknown_type $repeat
 * @return string
 */
function smarty_block_headLink(array $params, $content, Smarty_Internal_Template &$smarty, &$repeat) {
	if ($repeat) {
		return;
	}
	
	$toAdd = array();
	if (count($params) > 0) {
		//@todo check params
		//		Hpls_Utils::getLogger()->debug(Zend_Debug::dump($params,"headLink->params",false));
		$toAdd = $params;
	} else {
		$content = trim($content);
		if (!empty($content)) {
			$toAdd[Hpls_View_Consts::PARAM_CONTENT] = $content;
		}
	}
	if (count($toAdd) > 0) {
		$smarty->smarty->appendHeadLink($toAdd);
	}
	
	return "";
}