<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 26, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-11-13 21:52:47 +0100 (Sa, 13 Nov 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 7717 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/branches/for_20110120_performance/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/block.lc.php $
 *
 */
/**
 *
 */
require_once 'Hpls/I18n/Utils.php';


function smarty_block_tooltipped($params, $content, Smarty_Internal_Template &$smarty, $repeat) {
	if ($repeat)
	return;
	$params = array_change_key_case($params,CASE_LOWER);
	if (empty($params['tooltip'])) {
		require_once 'Hpls/Exception/Template.php';
		throw new Hpls_Exception_Template("Parameter 'tooltip' is missing.");
	}
	return '<span class="tooltip" title="'.htmlspecialchars($params['tooltip' ]).'">'.$content.'</span>';
//	return $content;
}