<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 25, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/function.headLinks.php $
 *
 */
/**
 *
 */
require_once 'Hpls/View/Consts.php';

/**
 * @todo comment
 * @param unknown_type $params
 * @param Smarty $smarty
 * @return string
 */
function smarty_function_headLinks($params, Smarty_Internal_Template &$smarty) {
	$headVar = $smarty->getVariable(Hpls_View_Consts::HEAD_LINKS, null, true, false)->value;
	$ret = '<!-- HeadMeta START -->';
	if (is_array($headVar)) {
		foreach ($headVar as $K => $V) {
			if (is_array($V)) {
				$ret .= "\n\t<link";
				foreach ($V as $paramName => $paramValue) {
					if ($paramName == 'debug') {
						$ret .= " <!-- DEBUG: $paramValue -->";
					}
					$ret .= " $paramName=\"$paramValue\"";
				}
				$ret .= '/>';
			} else {
				$ret .= "$V";
			}
		}
	}
	$ret .= '<!-- HeadMeta END -->';
	return $ret;

		//	return $smarty->getVariable(Hpls_View_Consts::HEAD_LINKS)->value;


}