<?php

/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : 15.06.2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/modifier.date.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 */
/***/
function smarty_modifier_date($string, $format = 'Y-m-d H:i:s') {
	if (empty($string)) {
		return '';
	}
	
	if (is_numeric($string)) {
		if ($string > mktime(0, 0, 1, 1, 3100)) {
			//timestamp mit millisekunden
			return date($format, $string / 1000);
		}
		return date($format, $string);
	}
	
	
	return date($format, strtotime($string));
}