<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 28.09.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/

function smarty_modifier_filesizestr($string,$destSize='auto') {

	$filesize = (int)$string; // displays in bytes
	$destSize = strtolower(trim($destSize));
	if ($destSize == 'gb' ||(($filesize / 1073741824) > 1)) {
		return round(($filesize / 1073741824),3). ' GBytes';
	} elseif ($destSize == 'mb' ||(($filesize / 1048576) > 1)) {
		return round(($filesize / 1048576),2).' MBytes';
	} elseif ($destSize == 'kb' ||(($filesize /1024) > 1)) {
		return round(($filesize /1024),2).' KBytes';
	} else {
		return $filesize.' Bytes';
	}
	
}