
-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
DROP TRIGGER IF EXISTS `config_on_insert`;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

DELIMITER $$

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

CREATE TRIGGER `config_on_insert` BEFORE INSERT ON `config`
 FOR EACH ROW BEGIN
 	IF (@DISABLE_TRIGGERS IS NULL) then
   SET NEW.time_updated = CURRENT_TIMESTAMP;
  END IF;
 END;
 
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

$$
DELIMITER ;

 
-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
DROP TRIGGER IF EXISTS `config_on_update`;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

DELIMITER $$

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

CREATE TRIGGER `config_on_update` BEFORE UPDATE ON `config`
 FOR EACH ROW BEGIN
 	IF (@DISABLE_TRIGGERS IS NULL) then
   SET NEW.time_updated = CURRENT_TIMESTAMP;
  END IF;
 END;

-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

$$
DELIMITER ;