--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 06.09.2010
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-02-22 15:00:47 +0100 (Mi, 22. Feb 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9231 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--


--
-- Tabellenstruktur für Tabelle `reasons_[[LOCALE]]`
--

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

CREATE TABLE IF NOT EXISTS `reasons_[[LOCALE]]` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_t` varchar(1) NOT NULL DEFAULT '[[DBKEYNAME]]',
  `role_id` int(11) NOT NULL,
  `role_id_t` varchar(1) NOT NULL DEFAULT '[[DBKEYNAME]]',
  `rule_id` int(11) NOT NULL,
  `rule_id_t` varchar(1) NOT NULL DEFAULT '[[DBKEYNAME]]',
  `short_desc` text NOT NULL,
  `long_desc` text,
  `tag_desc` varchar(50) NOT NULL,
  `time_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `time_updated` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `inactive_state` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`,`id_t`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

