--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 06.09.2010
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-02-22 14:57:33 +0100 (Mi, 22. Feb 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9229 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

-- Table: config

-- DROP TABLE config;



-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
CREATE TABLE config
(
  "configuration_key" character varying(1024) NOT NULL,
  "value" text,
  "time_created" timestamp with time zone NOT NULL DEFAULT now(),
  "time_updated" timestamp with time zone NOT NULL DEFAULT now(),
  CONSTRAINT pri_config_key PRIMARY KEY (configuration_key)
)
WITH (
  OIDS=FALSE
);
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
CREATE TABLE servers
(
  "id" serial NOT NULL,
  "s_name" character varying(256) NOT NULL,
  CONSTRAINT servers_pkey PRIMARY KEY (id),
  CONSTRAINT unique_s_name UNIQUE (s_name)
)
WITH (
  OIDS=FALSE
);
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
