--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 2011-11-29 14:08:32 CET
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-03-11 14:25:29 +0100 (So, 11. Mär 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9258 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--

--
-- PostgreSQL database dump
--

-- Started on 2011-11-29 14:08:32 CET

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- TOC entry 1831 (class 0 OID 0)
-- Dependencies: 1496
-- Name: regexrule_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mailtrace
--

SELECT pg_catalog.setval('[[TABLEPREFIX]]regexrule_id_seq', 21, true);


--
-- TOC entry 1832 (class 0 OID 0)
-- Dependencies: 1498
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mailtrace
--

SELECT pg_catalog.setval('[[TABLEPREFIX]]roles_id_seq', 3, true);


--
-- TOC entry 1833 (class 0 OID 0)
-- Dependencies: 1500
-- Name: rule_ids_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mailtrace
--

SELECT pg_catalog.setval('[[TABLEPREFIX]]rule_ids_id_seq', 17, true);


--
-- TOC entry 1823 (class 0 OID 10673882)
-- Dependencies: 1488
-- Data for Name: config; Type: TABLE DATA; Schema: public; Owner: mailtrace
--

SET SESSION AUTHORIZATION DEFAULT;

--
-- TOC entry 1826 (class 0 OID 10673945)
-- Dependencies: 1497
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: mailtrace
--

ALTER TABLE [[TABLEPREFIX]]roles DISABLE TRIGGER ALL;

INSERT INTO [[TABLEPREFIX]]roles (id, role_name, time_created, time_updated, id_t, inactive_state) VALUES (1, 'admin', '2011-04-12 17:18:32.358622+02', '2011-04-12 17:18:32.358622+02', 'v', 0);

ALTER TABLE [[TABLEPREFIX]]roles ENABLE TRIGGER ALL;

--
-- TOC entry 1827 (class 0 OID 10673954)
-- Dependencies: 1499
-- Data for Name: rule_ids; Type: TABLE DATA; Schema: public; Owner: mailtrace
--

ALTER TABLE [[TABLEPREFIX]]rule_ids DISABLE TRIGGER ALL;

INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (3, '450-gl', 'Empfangsserver nutzt vermutlich Greylisting.', '2011-04-12 17:46:34.097058+02', '2011-04-12 17:46:34.097058+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (4, '450-gl-2', 'Empfangsserver nutzt Greylisting.', '2011-04-12 17:49:31.624336+02', '2011-04-12 17:49:31.624336+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (5, '450-load', 'Empfangsserver ist vermutlich überlastet.', '2011-04-12 17:51:56.005417+02', '2011-04-12 17:51:56.005417+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (6, '450-timeout', 'Connection timed out.', '2011-04-12 17:54:23.141382+02', '2011-04-12 17:54:23.141382+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (7, '450-userunknown', 'Empfänger beim Zielsystem unbekannt!', '2011-04-12 17:55:57.744468+02', '2011-04-12 17:55:57.744468+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (8, '450-ratelimit', 'Zuviele Empfänger zur gleichen Zeit', '2011-04-12 17:57:00.958862+02', '2011-04-12 17:57:00.958862+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (9, '550-quota', 'Das Postfach des Empfängers ist voll (Quota überschritten).', '2011-04-12 17:58:11.625029+02', '2011-04-12 17:58:11.625029+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (10, '550-userunknown', 'Empfänger beim Zielsystem unbekannt.', '2011-04-12 17:59:34.783893+02', '2011-04-12 17:59:34.783893+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (11, '550-spam', 'Empfangssystem hat die E-Mail als Spam bewertet und darum abgelehnt.', '2011-04-12 18:01:20.935726+02', '2011-04-12 18:01:20.935726+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (12, '550-accessdenied', 'Die E-Mail wurde ohne Angabe von Gründen abgelehnt.', '2011-04-12 18:04:03.941982+02', '2011-04-12 18:04:03.941982+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (13, '550-messagesize', 'Die E-Mail war dem Zielsystem zu groß', '2011-04-12 18:05:44.61675+02', '2011-04-12 18:05:44.61675+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (14, '550-rbl', 'Der sendende Mailserver steht auf RBL-Sperrliste [[NAMEOFRBL]].', '2011-04-12 18:07:03.535059+02', '2011-04-12 18:07:03.535059+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (15, '550-rbl-2', 'Der sendende Mailserver steht auf der Sperrliste von Road Runner Secrity (http://security.rr.com).', '2011-04-12 18:08:32.51268+02', '2011-04-12 18:08:32.51268+02', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (1, '250 OK QueueID', '250er Erkennung inkl. remote Queue-ID

250 2.0.0 Ok: queued as DF4AE30221
250 Message 0MCLK9-1NYQMf0ywb-009KO8 accepted by mxeu2.kundenserver.de 
250 OK id=1NhXAS-0004cC-00 
250 2.0.0 o1GNnD2V013976 Message accepted for delivery 
', '2011-04-12 16:54:59.147425+02', '2011-11-08 05:21:58.810993+01', 'v', 0);
INSERT INTO [[TABLEPREFIX]]rule_ids (id, rule_name, description, time_created, time_updated, id_t, inactive_state) VALUES (2, '250-default', '250er Default-Regel für alle sonstigen 250er-Meldungen', '2011-04-12 17:43:55.287669+02', '2011-11-08 05:22:44.016952+01', 'v', 0);


ALTER TABLE [[TABLEPREFIX]]rule_ids ENABLE TRIGGER ALL;


--
-- TOC entry 1825 (class 0 OID 10673931)
-- Dependencies: 1495 1827
-- Data for Name: regexrule; Type: TABLE DATA; Schema: public; Owner: mailtrace
--

ALTER TABLE [[TABLEPREFIX]]regexrule DISABLE TRIGGER ALL;

INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (1, '/^2\\d{1,2} .*OK: queued as (.*)/i', 1, false, '250 2.0.0 Ok: queued as DF4AE30221
"Der Server [[T:D_RELAYHOST]] hat die Mail unter der ID [[REMOTEQUEUEID]] akzeptiert."', '1="REMOTEQUEUEID";', 0, '2011-04-12 16:55:37.120088+02', '2011-04-12 16:55:37.120088+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (2, '/^2\\d{1,2} Message (.*) accepted by/i', 1, false, '250 Message 0MCLK9-1NYQMf0ywb-009KO8 accepted by mxeu2.kundenserver.de ', '1="REMOTEQUEUEID";', 0, '2011-04-12 17:41:47.353425+02', '2011-04-12 17:41:47.353425+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (3, '/^2\\d{1,2} .*OK id=(.*)/i', 1, false, '250 OK id=1NhXAS-0004cC-00', '1="REMOTEQUEUEID";', 0, '2011-04-12 17:42:24.195638+02', '2011-04-12 17:42:24.195638+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (4, '/^2\\d{1,2} 2.0.0 (.*) Message accepted/i', 1, false, '250 2.0.0 o1GNnD2V013976 Message accepted for delivery', '1="REMOTEQUEUEID";', 0, '2011-04-12 17:42:54.022114+02', '2011-04-12 17:42:54.022114+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (6, '/^host (.*) said:.*try again later - GL/i', 3, false, 'host XY said: 452 4.1.1  requested action aborted: try again later - GL/GL (in reply to RCPT TO command)', '', 0, '2011-04-12 17:46:58.816978+02', '2011-04-12 17:46:58.816978+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (7, '/^host (.*) said:.*Greylisting/i', 4, false, 'host mail1.msu.montana.edu[153.90.2.71] said: 451 4.7.1 Greylisting in action, please come back later (in reply to RCPT TO command)', '', 0, '2011-04-12 17:50:11.156611+02', '2011-04-12 17:50:11.156611+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (8, '/^host (.*) said:.*Temporarily deferred. Please try again later./i', 4, false, 'host mx1.main.nc.us[72.250.252.12] said: 451 4.7.1 : Recipient address rejected: Temporarily deferred. Please try again later. (in reply to RCPT TO command)', '', 0, '2011-04-12 17:50:35.687694+02', '2011-04-12 17:50:35.687694+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (9, '/^host (.*) said:.*Service temporarily unavailable/i', 5, false, 'host mailwash30.pair.com[66.39.2.30] said: 450 4.7.1 : Recipient address rejected: Service temporarily unavailable (in reply to RCPT TO command)', '', 0, '2011-04-12 17:52:16.784887+02', '2011-04-12 17:52:16.784887+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (10, '/^host (.*):.*Resources unavailable temporarily/i', 5, false, 'host c.mx.mail.yahoo.com[206.190.54.127] refused to talk to me: 420 Resources unavailable temporarily. Please try later (mta1039.mail.re4.yahoo.com)', '', 0, '2011-04-12 17:53:20.733362+02', '2011-04-12 17:53:20.733362+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (11, '/^conversation with .* timed out while/i', 6, false, 'conversation with rsmtp.indiatimes.com[220.226.197.241] timed out while sending RCPT TO', '', 0, '2011-04-12 17:55:09.18499+02', '2011-04-12 17:55:09.18499+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (12, '/^lost connection with (.*) while sending end of data/i', 6, false, 'lost connection with f.mx.mail.yahoo.com[98.137.54.237] while sending end of data -- message may be sent more than once ', '', 0, '2011-04-12 17:55:33.808352+02', '2011-04-12 17:55:33.808352+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (13, '/^host (.*) said:.*mailbox unavailable/i', 7, false, 'host rgs.sandiego.edu[192.55.87.50] said: 451 ... Requested mail action not taken: mailbox unavailable (in reply to RCPT TO command)', '', 0, '2011-04-12 17:56:15.174102+02', '2011-04-12 17:56:15.174102+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (14, '/^host (.*) said:.*Too many recipients/i', 8, false, 'host g.mx.mail.yahoo.com[98.137.54.238] said: 452 Too many recipients (in reply to RCPT TO command)', '', 0, '2011-04-12 17:57:18.833102+02', '2011-04-12 17:57:18.833102+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (15, '/5\\d{1,2} <(.+)> .*(Benutzer hat das Speichervolumen überschritten|quota exceeded)/', 9, false, '550 <eberhardelbe1@web.de> Benutzer hat das Speichervolumen ueberschritten. / User has exhausted allowed storage space. (in reply to RCPT TO command)', '1="REMOTEUSER";', 0, '2011-04-12 17:58:41.565806+02', '2011-04-12 17:58:41.565806+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (16, '/5\\d{1,2} .*(no mailbox here by that name|User( is)? unknown|incalid address|keine mailbox hier|not our customer|The email account.*does not exist)/', 10, false, '* 550 sorry, no mailbox here by that name. (#5.7.17) (in reply to RCPT TO command)
* 550 5.1.1 <stephanie.boden@familienservice.de>: Recipient address rejected: User unknown in relay recipient table (in reply to RCPT TO command)
* 511 Sorry, keine mailbox hier (#5.1.1) (in reply to RCPT TO command))    
* 550 <impoliteeb@art-vandals.com>: invalid address (in reply to RCPT TO command)) 
* 550 5.1.1 <ariane.andreotti@gmx.ch>... User is unknown {mx113} (in reply to RCPT TO command)) 
* host gateway-f1.isp.att.net[204.127.217.16] said: 551 not our customer (in reply to RCPT TO command)
* host gmail-smtp-in.l.google.com[209.85.129.27] said: 550-5.1.1 The email account that you tried to reach does not exist
', '', 0, '2011-04-12 18:00:28.62727+02', '2011-04-12 18:00:28.62727+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (17, '/5\\d{1,2} .*Reject, id=(.+).*SPAM/', 11, false, '554 5.7.0 Reject, id=31861-02 - SPAM (in reply to end of DATA command)', '1="ID";', 0, '2011-04-12 18:01:49.131653+02', '2011-04-12 18:01:49.131653+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (18, '/5\\d{1,2} .*Access Denied/', 12, false, '550 5.4.1 gerhard.pomberer@tele.at: Recipient address rejected: Access Denied (in reply to RCPT TO command)', '', 0, '2011-04-12 18:04:31.077042+02', '2011-04-12 18:04:31.077042+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (19, '/message size (\\d+) exceeds size limit (\\d+) of server/', 13, false, 'message size 19338326 exceeds size limit 10000000 of server mx12.singnet.com.sg[165.21.74.122])', '1="MYSIZE";2="REMOTESIZE";', 0, '2011-04-12 18:06:36.081431+02', '2011-04-12 18:06:36.081431+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (20, '/5\\d{1,2} .*Client host.*blocked using (.*);/', 14, false, '554 Service unavailable; Client host [89.47.4.241] blocked using zen.spamhaus.org; http://www.spamhaus.org/query/bl?ip=89.47.4.241; from=<ptolemy@rdr.com> to=<eidenschink@kinetiqa.de> proto=ESMTP helo=<UYHMNHRBLO>', '', 0, '2011-04-12 18:07:56.018649+02', '2011-04-12 18:07:56.018649+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (21, '/5\\d{1,2} .*security.rr.com/', 15, false, 'host hrndva-smtpin02.mail.rr.com[71.74.56.244] refused to talk to me: 554 5.7.1 - ERROR: Mail refused - <213.203.238.10> - See http://security.rr.com/cgi-bin/block-lookup?213.203.238.10', '', 0, '2011-04-12 18:09:04.074652+02', '2011-04-12 18:09:04.074652+02', 'v', 'v', 0);
INSERT INTO [[TABLEPREFIX]]regexrule (id, regex, rule_id, deactivated, description, param_map, priority, time_created, time_updated, id_t, rule_id_t, inactive_state) VALUES (5, '/^2\\d{1,2}/i', 2, false, '250... Default-Regel für alle sonstigen 250er-Meldungen', '1="";', 0, '2011-04-12 17:44:25.628618+02', '2011-11-08 05:21:02.975776+01', 'v', 'v', 0);


ALTER TABLE [[TABLEPREFIX]]regexrule ENABLE TRIGGER ALL;

-- Completed on 2011-11-29 14:08:35 CET

--
-- PostgreSQL database dump complete
--
