--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 06.09.2010
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-02-22 14:57:33 +0100 (Mi, 22. Feb 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9229 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--


--
-- Name: reasons_[[LOCALE]]; Type: TABLE; Schema: public; Owner: mailtrace; Tablespace: 
--

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
CREATE TABLE [[TABLEPREFIX]]reasons_[[LOCALE]] (
    id integer NOT NULL,
    role_id integer NOT NULL,
    rule_id integer NOT NULL,
    short_desc text NOT NULL,
    long_desc text,
    tag_desc character varying(50),
    time_created timestamp with time zone DEFAULT now() NOT NULL,
    time_updated timestamp with time zone DEFAULT now() NOT NULL,
    id_t character varying(1) DEFAULT '[[DBKEYNAME]]'::character varying NOT NULL,
    role_id_t character varying(1) DEFAULT '[[DBKEYNAME]]'::character varying NOT NULL,
    rule_id_t character varying(1) DEFAULT '[[DBKEYNAME]]'::character varying NOT NULL,
    inactive_state smallint DEFAULT 0 NOT NULL
);
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

--
-- Name: reasons_[[LOCALE]]_id_seq; Type: SEQUENCE; Schema: public; Owner: mailtrace
--

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
CREATE SEQUENCE [[TABLEPREFIX]]reasons_[[LOCALE]]_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!


--
-- Name: reasons_[[LOCALE]]_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mailtrace
--

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
ALTER SEQUENCE [[TABLEPREFIX]]reasons_[[LOCALE]]_id_seq OWNED BY [[TABLEPREFIX]]reasons_[[LOCALE]].id;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mailtrace
--

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
ALTER TABLE [[TABLEPREFIX]]reasons_[[LOCALE]] ALTER COLUMN id SET DEFAULT nextval('[[TABLEPREFIX]]reasons_[[LOCALE]]_id_seq'::regclass);
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

