--
-- TOC entry 1486 (class 1259 OID 54116)
-- Dependencies: 3
-- Name: reasons_[[LOCALE]]; Type: TABLE; Schema: public; Owner: mailtrace; Tablespace: 
--

CREATE TABLE reasons_[[LOCALE]] (
  id integer NOT NULL,
  id_t character varying(1) NOT NULL DEFAULT 'v',
  role_id integer NOT NULL,
  role_id_t character varying(1) NOT NULL DEFAULT 'v',
  rule_id integer NOT NULL,
  rule_id_t character varying(1) NOT NULL DEFAULT 'v',
  short_desc text NOT NULL,
  long_desc text,
  tag_desc character varying(50),
  time_created timestamp with time zone NOT NULL DEFAULT now(),
  time_updated timestamp with time zone NOT NULL DEFAULT now(),
  inactive_state smallint NOT NULL DEFAULT 0
);


ALTER TABLE public.reasons_[[LOCALE]] OWNER TO mailtrace;

--
-- TOC entry 1485 (class 1259 OID 54114)
-- Dependencies: 1486 3
-- Name: reasons_[[LOCALE]]_id_seq; Type: SEQUENCE; Schema: public; Owner: mailtrace
--

CREATE SEQUENCE reasons_[[LOCALE]]_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.reasons_[[LOCALE]]_id_seq OWNER TO mailtrace;

--
-- TOC entry 1789 (class 0 OID 0)
-- Dependencies: 1485
-- Name: reasons_[[LOCALE]]_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mailtrace
--

ALTER SEQUENCE reasons_[[LOCALE]]_id_seq OWNED BY reasons_[[LOCALE]].id;


--
-- TOC entry 1790 (class 0 OID 0)
-- Dependencies: 1485
-- Name: reasons_[[LOCALE]]_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mailtrace
--

SELECT pg_catalog.setval('reasons_[[LOCALE]]_id_seq', 4, true);