<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 08.04.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hmt/Reason/Text.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.9
 */
class Hmt_Reason_Edit_Text extends Hmt_Reason_Texts {

	public function setFromtable($value) {
		$this->fromtable = $value;
	}

	public function setID($value) {
		$id = explode(self::ID_SEP, $value);
		if (count($id) != 2) {
			throw new InvalidArgumentException("'$value' not in a format of '<id-seq-nr>-<id_t>'", -1);
		}
		$this->setIdS($id[0]);
		$this->setIdT($id[1]);
	}

	public function setIdS($value) {
		$this->id = intval($value);
	}

	public function setIdT($value) {
		$this->id_t = $value;
	}

	public function setTextLong($value) {
		$this->long_desc = $value;
	}

	public function setTextShort($value) {
		$this->short_desc = $value;
	}

	public function setTextTag($value) {
		$this->tag_desc = $value;
	}

	public function setRoleId($value) {
		$id = explode(self::ID_SEP, $value);
		if (count($id) != 2) {
			throw new InvalidArgumentException("'$value' not in a format of '<id-seq-nr>-<id_t>'", -1);
		}
		$this->setRoleIdS($id[0]);
		$this->setRoleIdT($id[1]);
	}

	public function setRoleIdS($value) {
		$this->role_id = $value;
	}

	public function setRoleIdT($value) {
		$this->role_id_t = $value;
	}

	public function setRuleId($value) {
		$id = explode(self::ID_SEP, $value);
		if (count($id) != 2) {
			throw new InvalidArgumentException("'$value' not in a format of '<id-seq-nr>-<id_t>'", -1);
		}
		$this->setRuleIdS($id[0]);
		$this->setRuleIdT($id[1]);
	}

	public function setRuleIdS($value) {
		$this->rule_id = $value;
	}

	public function setRuleIdT($value) {
		$this->rule_id_t = $value;
	}

}