<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 08.04.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
abstract class Hmt_Reason_EditAbstract {

	public function __construct($values = null) {
		if (is_array($values)) {
			$this->setValues($values);
		}
	}

	public function setValues(array $values) {
		foreach ($values as $k => $v) {
			$this->$k = $v;
		}
	}

	public function __set($k, $v) {
		$this->{strtolower($k)} = $v;
	}

	abstract public function getID();

	public function getEditUrl() {
	$this->id = g;
	}

	public function getDeleteUrl() {
	
	}
}