<style>
<!--
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

.pad20 {
	padding: 20px;
}

#chart {
	width: 800px;
	height: 300px;
}
table#hmt_statistics, td{
	font:100% Arial, Helvetica, sans-serif; 
}
table#hmt_statistics { 
	width:100%;border-collapse:collapse;margin:1em 0; 
}
th, td { 
	text-align:left;padding:.5em;border:1px solid #5B5B5B; 
}
th { 
	background:#f6f6f6; color:#5B5B5B; 
}
td { 
	background:#e5f1f4; 
}

/* tablecloth styles */

tr.even td { 
	background:#e5f1f4; 
}
tr.odd td { 
	background:#f8fbfc; 
}

th.over, tr.even th.over, tr.odd th.over { 
	background:#4a98af; 
}
th.down, tr.even th.down, tr.odd th.down { 
	background:#bce774; 
}
th.selected, tr.even th.selected, tr.odd th.selected { }

td.over, tr.even td.over, tr.odd td.over{ 
	background:#ecfbd4; 
}
td.down, tr.even td.down, tr.odd td.down{ 
	background:#bce774;color:#fff; 
}
td.selected, tr.even td.selected, tr.odd td.selected{ 
	background:#F88218;color:#555; 
}

/* use this if you want to apply different styling to empty table cells */
td.empty, tr.odd td.empty, tr.even td.empty{ 
	background:#fff; 
}
-->
</style>
{group title="hmt_statistics_delivery_today"}					
<div class="middle80">
{if !empty($mailstats)}
	<div id="chart">
	  	<svg></svg>
	</div>
	<table id="hmt_statistics">
	<tbody>
		<tr>
			<th>Uhrzeit</th>
			{foreach name=aussen key=time item=day from=$mailstats}
				{if $smarty.foreach.aussen.first}
					{foreach key=mykey item=entry from=$day}
						<th>{$mykey|capitalize}</th>
					{/foreach}
				{/if}
			{/foreach}
		</tr>
	{foreach key=time item=day from=$mailstats}
		{assign var=foo value="{{$day|array_sum} / 2}"}
		<tr>
			<td>{$time}:00 - {$time+1}:00</td>
			{foreach key=mykey item=entry from=$day}
				{if {$mykey != 'total'}}
				<td>{$entry} / {{$entry * 100 / $foo}|number_format:2}%</td>
				{else}
				<td>{$entry}</td>
				{/if}
			{/foreach}
  		</tr>
	{/foreach}
	</tbody>
	</table>

	<script>
	
		var keys = Array('sent', 'rejected', 'deferred', 'bounced');
		var today = new Date();	
		var mydata = [ 
		    { 
		      "key" : "sent" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=time item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'sent'}
	                			[new Date(today.getFullYear(), today.getMonth(), today.getDate(), {$time}, 0, 0).getTime(), {$entry}],
	                		{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		    { 
		      "key" : "rejected" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=time item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'rejected'}	                			
	                			[new Date(today.getFullYear(), today.getMonth(), today.getDate(), {$time}, 0, 0).getTime(), {$entry}],
	                		{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		    { 
		      "key" : "deferred" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=time item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'deferred'}
	                			[new Date(today.getFullYear(), today.getMonth(), today.getDate(), {$time}, 0, 0).getTime(), {$entry}],
	                		{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		    { 
		      "key" : "bounced" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=time item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'bounced'}
	                			[new Date(today.getFullYear(), today.getMonth(), today.getDate(), {$time}, 0, 0).getTime(), {$entry}],
	                		{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		];
		
		function from0to24() {
		  	return d3.range(0, 24).map(function(i) { return new Date(today.getFullYear(), today.getMonth(), today.getDate(), i,0,0) });
		}
		
	$( document ).ready(function(){
	
		nv.addGraph(function() {
			var width = 700;
			var height = 300;
			var padding = 40;
			
			var x = d3.time.scale().domain([new Date(today.getFullYear(), today.getMonth(), today.getDate(), 0, 0, 0), new Date(today.getFullYear(), today.getMonth(), today.getDate(), 23, 59, 59)]).range([0, width]);
			
			var chart = nv.models.stackedAreaChart()
			                .x(function(d) { return d[0]; })
			                .y(function(d) { return d[1]; })
			                .clipEdge(true);


  			chart.xAxis.showMaxMin(false).tickFormat(function(from0to24) {
  				return d3.time.format('%H:%M')(new Date(from0to24));
  			});
			  
			chart.yAxis.tickFormat(d3.format(',f'));
			  
			chart.margin( { top:10, right:30, bottom:60, left:70 } );
			chart.width(width);
			chart.height(height);	  
  
			d3.select('#chart svg').datum(mydata).transition().duration(500).call(chart);
			
			nv.utils.windowResize(chart.update);
			
			d3.select('.nv-x.nv-axis > g').selectAll('g').selectAll('text').attr('transform', function(d,i,j) { return 'translate (-10, 25) rotate(-90 0,0)' }) ;
			
			return chart;
		});
	});
	</script>
{else}	
	<h3>{lc}hmt_daily_statistics_no_data{/lc}</h3>
{/if}			
</div>
<script type="text/javascript" src="{$baseUrl}/js/tablecloth.js"></script>
{/group}