<style>
<!--
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

.pad20 {
	padding: 20px;
}

#chart {
	width: 800px;
	height: 300px;
}
table#hmt_statistics, td{
	font:100% Arial, Helvetica, sans-serif; 
}
table#hmt_statistics { 
	width:100%;border-collapse:collapse;margin:1em 0; 
}
th, td { 
	text-align:left;padding:.5em;border:1px solid #5B5B5B; 
}
th { 
	background:#f6f6f6; color:#5B5B5B; 
}
td { 
	background:#e5f1f4; 
}

/* tablecloth styles */

tr.even td { 
	background:#e5f1f4; 
}
tr.odd td { 
	background:#f8fbfc; 
}

th.over, tr.even th.over, tr.odd th.over { 
	background:#4a98af; 
}
th.down, tr.even th.down, tr.odd th.down { 
	background:#bce774; 
}
th.selected, tr.even th.selected, tr.odd th.selected { }

td.over, tr.even td.over, tr.odd td.over{ 
	background:#ecfbd4; 
}
td.down, tr.even td.down, tr.odd td.down{ 
	background:#bce774;color:#fff; 
}
td.selected, tr.even td.selected, tr.odd td.selected{ 
	background:#F88218;color:#555; 
}

/* use this if you want to apply different styling to empty table cells */
td.empty, tr.odd td.empty, tr.even td.empty{ 
	background:#fff; 
}
-->
</style>
{group title="hmt_statistics_delivery_by_server"}					
<div class="middle80">
{if !empty($mailstats)}

	<div id="chart">
	  	<svg></svg>
	</div>

	<table id="hmt_statistics">
		<tbody>
		<tr>
			<th>Servername</th>
			<th>Anzahl Mails</th>
		</tr>
		{foreach key=servername item=mailcount from=$mailstats}
		<tr>
			<td>{$servername}</td>
			<td>{$mailcount}</td>
		</tr>
		{/foreach}
		</tbody>
	</table>
	<!-- <script src="/mailtrace/js/nvd3/src/models/discreteBarChart.js"></script> -->
	<script>

	data = [
  				{
    				key: "Mails nach Server",
    				values: [
    					{foreach key=servername item=mailcount from=$mailstats}
						{
							"label" : "{$servername}" ,
							"value" : {$mailcount}
						},
						{/foreach}
    				]
  				}
			];

	$( document ).ready(function(){
		var chart = nv.models.discreteBarChart()
	      .x(function(d) { return d.label })
	      .y(function(d) { return d.value })
	      .staggerLabels(true)
	      .tooltips(true)
	      .showValues(false);
	
	  	d3.select('#chart svg').datum(data).transition().duration(500).call(chart);
		
		chart.yAxis.tickFormat(d3.format(','));
		
	  	nv.utils.windowResize(chart.update);
	
		chart.update();
		
	  	return chart;
	});
	</script>
{/if}
</div>
<script type="text/javascript" src="{$baseUrl}/js/tablecloth.js"></script>
{/group}