<style>
<!--
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

.pad20 {
	padding: 20px;
}

#chart {
	width: 800px;
	height: 300px;
}
table#hmt_statistics, td{
	font:100% Arial, Helvetica, sans-serif; 
}
table#hmt_statistics { 
	width:100%;border-collapse:collapse;margin:1em 0; 
}
th, td { 
	text-align:left;padding:.5em;border:1px solid #5B5B5B; 
}
th { 
	background:#f6f6f6; color:#5B5B5B; 
}
td { 
	background:#e5f1f4; 
}

/* tablecloth styles */

tr.even td { 
	background:#e5f1f4; 
}
tr.odd td { 
	background:#f8fbfc; 
}

th.over, tr.even th.over, tr.odd th.over { 
	background:#4a98af; 
}
th.down, tr.even th.down, tr.odd th.down { 
	background:#bce774; 
}
th.selected, tr.even th.selected, tr.odd th.selected { }

td.over, tr.even td.over, tr.odd td.over{ 
	background:#ecfbd4; 
}
td.down, tr.even td.down, tr.odd td.down{ 
	background:#bce774;color:#fff; 
}
td.selected, tr.even td.selected, tr.odd td.selected{ 
	background:#F88218;color:#555; 
}

/* use this if you want to apply different styling to empty table cells */
td.empty, tr.odd td.empty, tr.even td.empty{ 
	background:#fff; 
}
-->
</style>
{group title="hmt_statistics_delivery_by_day"}					
<div class="middle80">
{if $mailstats}

	<div id="chart">
	  	<svg></svg>
	</div>
	<table id="hmt_statistics">
	<tbody>
		<tr>
			<th>Tag</th>
			{foreach name=aussen key=date item=day from=$mailstats}
				{if $smarty.foreach.aussen.first}
					{foreach key=mykey item=entry from=$day}
						<th id="{$mykey}">{$mykey|capitalize}</th>
					{/foreach}
				{/if}
			{/foreach}
		</tr>
	{foreach name=aussen key=date item=day from=$mailstats}
		<tr>
			<td>
				{$date|substring:7:2}.{$date|substring:5:2}.{$date|substring:1:4}
			</td>
  			{foreach key=mykey item=entry from=$day}
  			<td>
    			{$entry}
    		</td>
  			{/foreach}
  		</tr>
  		<!--
  		<tr>
			<td></td>
  			{foreach key=mykey item=entry from=$day}
  			
  			{if {$mykey != 'total'}}
  			<td>
    			{{$entry * 100 / $foo}|floor}%
    		</td>
    		{else}
    		{assign var=foo value="{$entry}"}
    		<td></td>
    		{/if}
  			{/foreach}
  		</tr>
  		-->
	{/foreach}
	{if $mailstats_total}
		<tr id="totalendline">
			<td>
				<b>Gesamt</b>
			</td>
  			{foreach key=mykey item=entry from=$mailstats_total}
  			<td>
    			{$entry}
    		</td>
  			{/foreach}
  		</tr>
	{/if}
	</tbody>
	</table>
	
	<script>
	$( document ).ready(function(){
		mydata = [ 
		    { 
		      "key" : "sent" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=date item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'sent'}[{$date}, {$entry}],{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		    { 
		      "key" : "rejected" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=date item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'rejected'}[{$date}, {$entry}],{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		    { 
		      "key" : "deferred" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=date item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'deferred'}[{$date}, {$entry}],{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		    { 
		      "key" : "bounced" , 
		      "values" : [{strip}
		      		{foreach name=aussen key=date item=day from=$mailstats}
	                	{foreach key=mykey item=entry from=$day}
	                		{if $mykey == 'bounced'}[{$date}, {$entry}],{/if}
				  		{/foreach}
					{/foreach}
		      {/strip}]
		    },
		]
		nv.addGraph(function() {
			var width = 700;
			var height = 300;
		  	var chart = nv.models.stackedAreaChart()
		                .x(function(d) { return d[0] })
		                .y(function(d) { return d[1] })
		                .clipEdge(true);
		
		
		  	var format = d3.time.format("%Y%m%d");
		  
		  
		  	chart.xAxis.showMaxMin(false).tickFormat(function(d) { 
		  		date = format.parse(''+d);
		  		// return format.parse(date);
		  		return date.toLocaleDateString(); 
		  	});
		
		  	// chart.yAxis.tickFormat(d3.format(',.2f'));
			  
		  	chart.yAxis.tickFormat(d3.format(',f'));
		  
		  	chart.margin( { top:20, right:40, bottom:20, left:70 } );
		  	chart.width(width);
		  	chart.height(height); 
		  
		  	d3.select('#chart svg').datum(mydata).transition().duration(500).call(chart);
		
		  	nv.utils.windowResize(chart.update);
		
		  	return chart;
		});
	});
	</script>
{/if}
</div>
<script type="text/javascript" src="{$baseUrl}/js/tablecloth.js"></script>
{/group}