<style>
<!--
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

.pad20 {
	padding: 20px;
}

#chart {
	width: 800px;
	height: 500px;
}
table#hmt_statistics, td{
	font:100% Arial, Helvetica, sans-serif; 
}
table#hmt_statistics { 
	width:100%;border-collapse:collapse;margin:1em 0; 
}
th, td { 
	text-align:left;padding:.5em;border:1px solid #5B5B5B; 
}
th { 
	background:#f6f6f6; color:#5B5B5B; 
}
td { 
	background:#e5f1f4; 
}

/* tablecloth styles */

tr.even td { 
	background:#e5f1f4; 
}
tr.odd td { 
	background:#f8fbfc; 
}

th.over, tr.even th.over, tr.odd th.over { 
	background:#4a98af; 
}
th.down, tr.even th.down, tr.odd th.down { 
	background:#bce774; 
}
th.selected, tr.even th.selected, tr.odd th.selected { }

td.over, tr.even td.over, tr.odd td.over{ 
	background:#ecfbd4; 
}
td.down, tr.even td.down, tr.odd td.down{ 
	background:#bce774;color:#fff; 
}
td.selected, tr.even td.selected, tr.odd td.selected{ 
	background:#F88218;color:#555; 
}

/* use this if you want to apply different styling to empty table cells */
td.empty, tr.odd td.empty, tr.even td.empty{ 
	background:#fff; 
}
-->
</style>
{group title="hmt_statistics_delivery_by_day"}					
<div class="middle80">
{if $mailstats}

	<div id="chart">
	  	<svg></svg>
	</div>
	<table id="hmt_statistics">
	<tbody>
		<tr>
			<th>Tag</th>
                        {foreach name=ss1 key=range item=types from=$mailstats}
                                {if $range == 'types'}
                                    {foreach name=ss2 item=type from=$types}
                                        <th id="{$type}">{$reject_types[{$type}]|capitalize}</th>
                                    {/foreach}
                                {/if}
			{/foreach}
		</tr>
	{foreach name=ss1 key=range item=time from=$mailstats}
                {if $range == 'days'}
                {foreach name=ss2 key=date item=datas from=$time|@array_reverse:true}
		<tr>
			<td>
                                {{$date/1000}|date_format:'%d-%m-%Y'}
			</td>
                        {foreach item=type1 from=$mailstats['types']}
                            <td>
                                {if $mailstats['days'][$date][$type1] != ''}
                                    {$mailstats['days'][$date][$type1]}
                                {else}
                                    0
                                {/if}
                            </td>
                        {/foreach}
  		</tr>
                {/foreach}
                {/if}
	{/foreach}
	</tbody>
	</table>
	<script>
	$( document ).ready(function(){
                
		mydata = [ 
                    {foreach item=type1 from=$mailstats['types']}
		    { 
		      "key" : "{$reject_types[{$type1}]}" , 
		      "values" : [{strip}
                                {foreach name=ss1 key=range item=time from=$mailstats}
                                        {if $range == 'days'}
                                        {foreach name=ss2 key=date item=datas from=$time}
                                                {foreach key=type item=val from=$datas}
                                                        {if $type == $type1}
                                                            {if $val != ''}
                                                                [{$date}, {$val}],
                                                            {else}
                                                                [{$date}, 0],
                                                            {/if}
                                                        {/if}
                                                {/foreach}
                                        {/foreach}
                                        {/if}
                                {/foreach}
		      {/strip}]
		    },
                    {/foreach}
		]
		nv.addGraph(function() {
			var width = 800;
			var height = 500;
		  	var chart = nv.models.lineWithFocusChart()
                                    .x(function(d) { return d[0] })
                                    .y(function(d) { return d[1] })
                                    .color(d3.scale.category10().range())
                                    .clipEdge(true);
		
		
		  	var format = d3.time.format("%Y%m%d");
		  
                        chart.xAxis.tickFormat(function(d) { 
                            return d3.time.format('%d.%m.%Y')(new Date(d)) 
                        });
		  	chart.yAxis.tickFormat(d3.format(',.0f'));
		  
                        chart.x2Axis.tickFormat(function(d) { 
                            return d3.time.format('%d.%m.%Y')(new Date(d)) 
                        });
                        chart.y2Axis.tickFormat(d3.format(',.0f'));

		  	// chart.margin( { top:20, right:40, bottom:20, left:70 } );
		  	chart.width(width);
		  	chart.height(height); 
		  
		  	d3.select('#chart svg').datum(mydata).transition().duration(500).call(chart);
		
		  	nv.utils.windowResize(chart.update);
		
		  	return chart;
		});
	});
	</script>
{/if}
</div>
<script type="text/javascript" src="{$baseUrl}/js/tablecloth.js"></script>
{/group}