<style>
<!--
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

.pad20 {
	padding: 20px;
}

#chart {
	width: 800px;
	height: 300px;
}
table#hmt_statistics, td{
	font:100% Arial, Helvetica, sans-serif; 
}
table#hmt_statistics { 
	width:100%;border-collapse:collapse;margin:1em 0; 
}
th, td { 
	text-align:left;padding:.5em;border:1px solid #5B5B5B; 
}
th { 
	background:#f6f6f6; color:#5B5B5B; 
}
td { 
	background:#e5f1f4; 
}

/* tablecloth styles */

tr.even td { 
	background:#e5f1f4; 
}
tr.odd td { 
	background:#f8fbfc; 
}

th.over, tr.even th.over, tr.odd th.over { 
	background:#4a98af; 
}
th.down, tr.even th.down, tr.odd th.down { 
	background:#bce774; 
}
th.selected, tr.even th.selected, tr.odd th.selected { }

td.over, tr.even td.over, tr.odd td.over{ 
	background:#ecfbd4; 
}
td.down, tr.even td.down, tr.odd td.down{ 
	background:#bce774;color:#fff; 
}
td.selected, tr.even td.selected, tr.odd td.selected{ 
	background:#F88218;color:#555; 
}

/* use this if you want to apply different styling to empty table cells */
td.empty, tr.odd td.empty, tr.even td.empty{ 
	background:#fff; 
}
-->
</style>
{group title="hmt_statistics_user_today"}					
<div class="middle80">
{if !empty($mailstats_domain)}
	<div id="chart">
	  	<svg></svg>
	</div>
	
	<table id="hmt_statistics">
		<tbody>
		<tr>
			<th>Domain</th>
			<th>Anzahl Mails</th>
		</tr>
		{foreach key=domain item=mailcount from=$mailstats_domain}
		<tr>
			<td>{$domain}</td>
			<td>{$mailcount}</td>
		</tr>
		{/foreach}
		</tbody>
	</table>
	
	<script src="/mailtrace/js/nvd3/src/models/pieChart.js"></script>
	<script>
	
	mydata = [{strip}
	    	{foreach key=domain item=mailcount from=$mailstats_domain}
					{ 
						"label": "{$domain}",
					    "value" : {$mailcount}
					}, 
			{/foreach}
	    	{/strip}
	 ];
	
	
	$( document ).ready(function(){
		nv.addGraph(function() {
			var width = 800;
			var height = 300;
		  	var chart = nv.models.pieChart()
		    	.x(function(d) { 
		      		return d.label; 
		    	})
		    	.y(function(d) { 
		      		return d.value;
		    	}).showLabels(false);

			chart.margin( { top:10, right:10, bottom:10, left:10 } );
		  	chart.width(width);
		  	chart.height(height); 
		  
		  	d3.select("#chart svg").datum(mydata).transition().duration(500).call(chart);
		
		  	return chart;
		});

	});
	</script>
{else}	
	<h3>{lc}hmt_daily_statistics_no_data{/lc}</h3>
{/if}			
</div>
<script type="text/javascript" src="{$baseUrl}/js/tablecloth.js"></script>
{/group}