{group title="hmt_explain_title"}
	{if isset($send_success) && $send_success === true}
		<div>
			<h3>Der Fehlerreport wurde erfolgreich gesendet.</h3>
		</div>
	{else}
		{form submitLabel="Daten absenden" action="$baseUrl/mailtrace/explain/request"}
			<h2>Für dieses Ereignis gibt es leider noch keine Erklärung</h2>
	
			<p>Für diesen Übertragungszustand existiert leider noch kein erläuternder Erklärungstext in der Datenbank von Mailtrace. Zukünftige Versionen von Mailtrace werden diesen sicher beinhalten.</p>
			<p>Wenn Sie möchten, können Sie die Logdaten dieses Übertragungsfehlers an das Entwicklungsteam von Heinlein Mailtrace mailen lassen. Diese Logdaten sind anonymisiert, sie enthalten keine Mailadressen und keinen Inhalt der 
						jeweiligen E-Mail.</p>
			<p>Folgende Daten würden übertragen werden:</p>
			<div>
			<p>
							Erkannter Status: <i>{$deliver->getStatus()|escape}</i><br />
							Absendender Host: <i>{$connect->getClient()|escape}</i><br />
							Empfangende Host: <i>{$deliver->getRelayHost()|escape}</i><br />
							Gemeldeter Übertragungsstatus: <i>{$deliver->getOriginalReason()|escape}</i>
			</p>
			</div>
			<p>
			{renderMsg field="hmt_accept_send"}
				<input type="checkbox" value="yes" name="hmt_accept_send" /> <label for="hmt_accept_send">Ja, diesen Fehlerreport an Heinlein Mailtrace senden</label>
			</p>
			<input type="hidden" name="did" value="{$deliver->getUniqueKey()|escape}"/>
			<input type="hidden" name="cid" value="{$connect->getUniqueKey()|escape}"/>
			<input type="hidden" name="rpart" value="{$deliver->getPart()|escape}"/>
		{/form}
	{/if}
{/group}