<style>
<!--
table#hmt_statistics {
	font-size: 14pt;
	width: 100%;
}

table#hmt_statistics td {
	vertical-align: middle;
	background: #f0f0f0;
}
table#hmt_statistics td.stats_value {
	font-size:12pt;
	background: #f6f6f6;
}
img.stats_icon {
	vertical-align: middle;
}
div.stats_icon {
	width: 40px;
	float: left;
	vertical-align: middle;
}
div.stats_label {
	width: 80%;
	line-height: 32px;
	float: left;
	vertical-align: middle;
}

div.middle80 {
	padding-top: 30px;
	width: 80%;
	margin: auto;
}

table.normal td {
	padding: 1px;
}

.pad20 {
	padding: 20px;
}

-->
</style>
{group title="hmt_overview_statistics_group"}

<div class="middle80">
<table id="hmt_statistics">
	<tbody>
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/calendar.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_log_newest_entry_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">
			{lc}hmt_overview_log_datasets_connect_label{/lc}: 
			{if !empty($hmt_log_newest_connect)}
				{$hmt_log_newest_connect->getTime()|date|escape}
			{else}
				{lc}hmt_overview_log_newest_connect_noentry{/lc}
			{/if}<br />
			{lc}hmt_overview_log_datasets_deliver_label{/lc}: 
			{if !empty($hmt_log_newest_deliver)}
				{$hmt_log_newest_deliver->getTime()|date|escape}
			{else}
				{lc}hmt_overview_log_newest_deliver_noentry{/lc}
			{/if}</td>
		</tr>
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/calendar.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_log_oldest_entry_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">
			{lc}hmt_overview_log_datasets_connect_label{/lc}: 
			{if !empty($hmt_log_oldest_connect)}
				{$hmt_log_oldest_connect->getTime()|date|escape}
			{else}
				{lc}hmt_overview_log_oldest_connect_noentry{/lc}
			{/if}	<br />	
			{lc}hmt_overview_log_datasets_deliver_label{/lc}: 
				{if !empty($hmt_log_oldest_deliver)}
			 		{$hmt_log_oldest_deliver->getTime()|date|escape}
				{else}
					{lc}hmt_overview_log_oldest_deliver_noentry{/lc}
				{/if}
		</tr>
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/mailtrace/stats_log_datasets32.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_log_datasets_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">
				{lc}hmt_overview_log_datasets_connect_label{/lc}: {$hmt_log_datasets_c|escape}<br/>
				{lc}hmt_overview_log_datasets_deliver_label{/lc}: {$hmt_log_datasets_d|escape}
			</td>
		</tr>
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/mailtrace/stats_log_size32.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_log_size_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">{$hmt_log_size|filesizestr|escape}</td>
		</tr>
		{if !empty($hmt_log_reorg_last)}
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/mailtrace/stats_reorg_last32.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_log_reorg_last_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">
				{if ! empty($hmt_log_reorg_last)}
					{$hmt_log_reorg_last|escape}
				{else}
					<span class="empty_value">{lc}hmt_overview_log_no_reorg_done{/lc}</span>
				{/if}
			</td>
		</tr>
		{/if}
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/mailtrace/stats_mailtrace_version32.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_application_version_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">{$version|escape}</td>
		</tr>
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/mailtrace/stats_reason_version32.png" alt="" /></div>
				<div class="stats_label">{lc}hmt_overview_reason_version_label{/lc}</div>
			</td>
			<td class="pad20 stats_value">{lc}hmt_overview_reason_version_vendor_label{/lc}:
			{$hmt_reason_version.vendor|truncate:19:"":true}<br />
			{lc}hmt_overview_reason_version_customer_label{/lc}:
			{$hmt_reason_version.customer|truncate:19:"":true}
		</tr>
		<tr>
			<td class="pad20">
				<div class="stats_icon"><img class="stats_icon" src="{$themeUrl}/img/mailtrace/stats_log_license32.png" alt="" /></div>
				<div class="stats_label">License</div>
			</td>
			<td class="pad20 stats_value">{$license}</td>
		</tr>	
	</tbody>
</table>
</div>
{/group}