<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 07.03.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
class Hmt_Db_Query_Constraints {
	const FIELDS_C_ALL = 'c.*';
	const FIELDS_D_ALL = 'd.*';
	const FIELDS_S_ALL = 's.*';
	
	/**
	 * @todo comment
	 * @var int|null
	 */
	public $limit = null;
	/**
	 * @todo comment
	 * @var int|null
	 */
	public $offset = null;
	/**
	 * @todo comment
	 * @var array:string
	 */
	public $resultFields = array(self::FIELDS_C_ALL,self::FIELDS_D_ALL);
	/**
	 * @todo comment
	 * @var array:string|null
	 */
	public $order_by = null;
	
	public $startSearchTime = 0;
	public $direction = 'newer';
	
	public function __construct($limit = null,$offset = null,$order_by=array(),$resultFields = array(self::FIELDS_C_ALL,self::FIELDS_D_ALL)) {
		$this->resultFields = $resultFields;
		$this->limit = $limit;
		$this->offset = $offset;
		$this->order_by = $order_by;
	}
	
	public function addOrderBy($col,$desc = false) {
		$this->order_by[$col] = $desc;
	}
}