<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 28.10.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hmt/Log/ServerEntry.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hmt/LogAbstract.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.9
 */
class Hmt_Log_ServerEntry extends Hmt_LogAbstract {

	public function getID() {
		return $this->{self::F_S_ID};
	}

	public function getName() {
		return $this->{self::F_S_NAME};
	}

	public function __toString() {
		$ret = $this->getName();
		return is_null($ret) ? '' : $ret;
	}

	/* (non-PHPdoc)
	 * @see Hmt_LogAbstract::getUniqueKey()
	 */
	public function getUniqueKey() {
		return $this->{self::F_S_ID};
	}

	static protected function getSaveKey($key) {
		if (array_key_exists($key, self::$SHORTEN)) {
			return self::$SHORTEN[$key];
		}
		return $key;
	}

}