<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 02.05.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Utils/Logusing.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.9
 */
class Hmt_PolicyAbstract extends Hpls_Utils_Logusing {
	const TYPE_ALLOW = 1;
	const TYPE_DENY = 0;
	protected $_id = null;
	protected $_type = self::TYPE_ALLOW;
	
	protected function __construct($id,$type) {
		$this->_id = $id;
		$this->_type = $type;
	}

	/**
	 * @return the $_id
	 */
	public function getId() {
		return $this->_id;
	}

	/**
	 * @param field_type $_id
	 */
	public function setId($_id) {
		$this->_id = $_id;
	}

}