<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 11.04.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hmt/ReasonAbstract.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.9
 */
class Hmt_Reason_Texts extends Hmt_ReasonAbstract {

	public function getTextLong() {
		return $this->long_desc;
	}

	public function getTextShort() {
		return $this->short_desc;
	}

	public function getTextTag() {
		return $this->tag_desc;
	}

	public function getRuleId() {
		return $this->getRuleIdS() . '-' . $this->getRuleIdT();
	}

	public function getRuleIdS() {
		return intval($this->rule_id);
	}

	public function getRuleIdT() {
		return $this->rule_id_t;
	}

	public function getRoleId() {
		return $this->getRoleIdS() . '-' . $this->getRoleIdT();
	}

	public function getRoleIdS() {
		return intval($this->role_id);
	}

	public function getRoleIdT() {
		return $this->role_id_t;
	}

	public function getLanguage() {
		return $this->language;
	}

	public function setLanguage($value) {
		$this->language = $value;
	}
}