<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : 06.07.2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2012-01-02 14:48:43 +0100 (Mo, 02 Jan 2012) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9197 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Acl/Reader/HAConfig.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Acl/Reader/Abstract.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package AC
 * @subpackage Rechtesystem
 * @version $LastChangedRevision: 9197 $
 * @since 1.0.0.3
 */
class Hpls_Acl_Reader_HAConfig extends Hpls_Acl_Reader_Abstract {
	
	protected $slaveOff = array(
			'ac.webui.domains' => array(
					'read' ),
			'hma.webui' => array(
					'read' ),
			'him.webui' => array(
					'read' ),
			'has.webui' => array(
					'read' ) );

	public function __construct() {
		parent::__construct();
	}

	public function loadResources(Hpls_Acl $ACL) {
	}

	public function loadRoles(Hpls_Acl $ACL) {
	}

	public function loadRules() {
		/* geht nicht. Kann nicht einloggen. -> AC-356
		if (DEBUG) Hpls_Utils::log()->debug(__METHOD__);
		$assert = new Hpls_Acl_Assert_MasterSlave(array_keys($this->slaveOff));
		foreach ($this->slaveOff as $resID => $privileges) {
			foreach ($privileges as $priv) {
				$this->_ACL->deny(null,$resID,Hpls_Acl_Consts::NS_MASTERSLAVE. $priv,$assert);
			}
			
		}
        */
	
	//		$this->_ACL->allow(null,Hpls_Acl_Ids::PRODUCT_HAS,null,$assert);
	//		$this->_ACL->allow(null,Hpls_Acl_Ids::PRODUCT_HIM,null,$assert);
	//		$this->_ACL->allow(null,Hpls_Acl_Ids::PRODUCT_HMA,null,$assert);
	}

	/**
	 * 
	 */
	protected function readRawResource() {
	
	}

	/* (non-PHPdoc)
	 * @see Hpls_Acl_Reader_Abstract::readModuleResMap()
	 */
	protected function readModuleResMap() {
		// TODO Auto-generated method stub
	

	}

}