<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 14.10.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs/Hpls/Application/Config/License.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Application/ConfigAbstract.php';
require_once 'Hpls/Acl.php';

class Hpls_Application_Config_License extends Hpls_Application_ConfigAbstract {

	/**
	 * 
	 */
	public function init() {
		isDebug('config_plugins_init') && $this->log()->info(__METHOD__ . ' START');
		// ### DEBUG START -- dummy lizenz: muss ersetzt werden durch echte lizenz ###
		require_once 'Hpls/Acl/Licence/Reader/Ini.php';
		Hpls_Acl::initInstanceObject(new Hpls_Acl_Licence_Reader_Ini($this->getApplication()->getConfigDir('AC') . "/licenseDummy.ini"), null);
		// ### DEBUG END ###
		Hpls_Acl::i();
	}

}