<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : Jul 31, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Cli/Consts.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package AC
 * @subpackage CLI-UI
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.0.5
 */
interface Hpls_Cli_Consts {
	const ERR_UNKNOWN_COMMAND = 10;
	const ERR_UNKNOWN_OPTION = 11;
	const ERR_UNKNOWN_ERROR = 200;
	
	const DEFAULT_COMMAND = 'usage';
	const GLOBAL_OPTIONS_NAME = '###GLOBAL###';
	const RET_CODE = 'code';
	const RET_OUT = 'output';
	
	const HOST_LOCALHOST = 'localhost';
	const HOST_LOCALHOST_IP = '127.0.0.1';
	
	const CFG_OPTIONS = 'options';
	const CFG_OPT_NAME = 'name';
	const CFG_OPT_PARAMNAME = 'paramName';
	const CFG_OPT_REQUIRED = 'required';
	const CFG_OPT_HELP = 'help';
	const CFG_OPT_DEFAULT = 'default';
}