<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 25, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs/Hpls/Controller/Plugin/Cleanup.php $
 *
 */
/**
 *
 */
require_once 'Hpls/Controller/Plugin/Abstract.php';

class Hpls_Controller_Plugin_Cleanup extends Hpls_Controller_Plugin_Abstract {

	//    public function __construct()
	//    {
	//        parent::__construct();
	//    }
	

	public function postDispatch(Zend_Controller_Request_Abstract $request) {
		isDebug('trace_plugins') && $this->logger->debug("CleanUp START");
		$viewHelper = Zend_Controller_Action_HelperBroker::getStaticHelper('ViewRenderer');
		//    	$this->log()->debug(__METHOD__.Hpls_Debug::print_r($viewHelper->view));
		//    	$this->log()->debug(__METHOD__.Hpls_Debug::print_r($this->getResponse()));
		

		//		$viewHelper->viewRenderer('form');
		

		if ($this->getResponse()) {
			if (isset($this->getResponse()->view) && NULL !== $this->getResponse()->view) {
				$this->getResponse()->view->clearVars();
				$this->getResponse()->view = null;
			}
			if (isset($this->getResponse()->content))
				$this->getResponse()->content = null;
			if (isset($this->getResponse()->navmenu))
				$this->getResponse()->navmenu = null;
			if (isset($this->getResponse()->subnav))
				$this->getResponse()->subnav = null;
			if (isset($this->getResponse()->action))
				$this->getResponse()->action = null;
			if (isset($this->getResponse()->pageName))
				$this->getResponse()->pageName = null;
		}
		isDebug('trace_plugins') && $this->logger->debug("CleanUp END");
	}

	//    function __destruct()
//    {
//        parent::__destruct();
//    }
}