<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 27, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs/Hpls/Controller/Plugin/View/Abtract.php $
 *
 */
/**
 *
 */
require_once 'Hpls/Controller/Plugin/Abstract.php';
require_once 'Hpls/View/Smarty.php';

class Hpls_Controller_Plugin_View_Abstract extends Hpls_Controller_Plugin_Abstract {

	public function postDispatch(Zend_Controller_Request_Abstract &$request) {
	}

	protected function getView() {
		$this->getLogger()->debug("Getting viewrenderer");
		
		/* @var Zend_Controller_Action_Helper_ViewRenderer */
		$viewerRenderer = Zend_Controller_Action_HelperBroker::getStaticHelper('ViewRenderer');
		//		$this->getLogger()->debug(Zend_Debug::dump($viewerRenderer,"viewerRenderer",false));
		$this->getLogger()->debug("Getting view");
		/* @var Hpls_View_Smarty */
		return $viewerRenderer->view;
	}
}
