<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Aug 22, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Executable/Call.php $
 *
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Executable/WrapperAbstract.php';

/**
 * Ein generischer Wrapper um ein Systemkommando.
 * <p>Macht einfach nur die protected-Methoden aus Hpls_Executable_Wrapper public, damit sie direkt nutzbar sind.
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package AC
 * @subpackage CLI
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.2.6
 */
class Hpls_Executable_Call extends Hpls_Executable_WrapperAbstract {

	public function __construct($cmd, $cmdOptions = '', $stopByOneError = true) {
		parent::__construct($cmd, $cmdOptions, $stopByOneError);
	}

	/**
	 * @todo comment
	 *
	 * @return boolean true: Keine Fehler aufgetreten
	 */
	public function exec() {
		return parent::exec();
	}

	public function sudoExec() {
		return parent::sudoExec();
	}

	public function execAtTimeLocalhost($time = 'now + 1 minute') {
		return parent::execAtTimeLocalhost($time);
	}

	public function getAtExecTime() {
		return parent::getAtExecTime();
	}

	public function setExecWithSudo($value = true) {
		parent::setExecWithSudo($value);
	}

	public function isExecWithSudo() {
		return parent::isExecWithSudo();
	}

	/**
	 * @param array:string|string $hosts
	 */
	public function setHosts($hosts) {
		parent::setHosts($hosts);
	}

	public function getHosts() {
		return parent::getHosts();
	}

	public function setRemoteUser($user = null) {
		parent::setRemoteUser($user);
	}

	public function getRemoteUser() {
		return parent::getRemoteUser();
	}

	public function setCommand($commandName, $commandOptions) {
		parent::setCommand($commandName, $commandOptions);
	}

	public function addParam($param, $value = null, $quote = true) {
		parent::addParam($param, $value, $quote);
	}

	public function setStopByOneError($value = true) {
		parent::setStopByOneError($value);
	}

	public function isStopByOneError() {
		return parent::isStopByOneError();
	}

	public function getOutput($host = null) {
		return parent::getOutput($host);
	}

	public function getReturnCode($host = null) {
		return parent::getReturnCode($host);
	}

	public function getCmdLine() {
		return parent::getCmdLine();
	}
}