<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 29, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-10-14 12:39:09 +0200 (Do, 14 Okt 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 7268 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace/Controller/Action.php $
 *
 */
/**
 *
 */
require_once 'Hpls/Controller/Action.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package HPLS
 * @subpackage subpackage
 * @version $LastChangedRevision: 7268 $
 * @since 
 *
 */

class Hpls_Mailtrace_Controller_Action extends Hpls_Controller_Action {
	protected $_modelLoader = NULL;

	/**
	 * @todo comment
	 * @param unknown_type $modelName
	 * @param unknown_type $params
	 * @return unknown
	 */
	protected function createModel($modelName, $params = array()) {
		$loader = $this->getModelLoader();
		$modelClass = $loader->load($modelName);
		return new $modelClass();

	}
	/**
	 * @todo comment
	 * @return NULL
	 */
	protected function getModelLoader() {
		if ($this->_modelLoader === NULL) {
	      $this->_modelLoader = new Zend_Loader_PluginLoader(array(
          'Mailtrace_Model'  => APPLICATION_PATH . '/modules/mailtrace/models'
         ));
		}
		return $this->_modelLoader;
	}
	
}