<?php

/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Feb 27, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/function.hiddenFields.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 */
/***/
function smarty_function_hiddenFields(array $params, Smarty_Internal_Template &$smarty) {
	$ret = '';
	if (!empty($params['values']) && is_array($params['values'])) {
		
		$arrayName = empty($params['name']) ? null : trim($params['name']);
		$values = $params['values'];
		
		foreach ($values as $k => $v) {
			$key = empty($arrayName) ? $k : $arrayName . "[$k]";
			$ret .= "<input type=\"hidden\" name=\"$key\" value=\"$v\"/>";
		}
	}
	return $ret;
}