<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 29, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28 Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/modifier.lc.php $
 *
 */
/**
 *
 */
require_once 'Hpls/I18n/Utils.php';

function smarty_modifier_lc($string, $nl2br = true, $escape = true) {
	//	$allowHTML = (empty($params['allowHTML']))? false : $params['allowHTML'];
	

	$trans = Hpls_I18n_Utils::translate(trim($string));
	if ($escape) {
		$trans = htmlentities($trans);
	}
	if ($nl2br) {
		$trans = str_replace('\n', '<br/>', $trans);
	}
	
	return $trans;
}
